(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     22903,        988]*)
(*NotebookOutlinePosition[     25649,       1094]*)
(*  CellTagsIndexPosition[     25176,       1070]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(p)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"P", "[", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[DoubleLeftRightArrow]", 
                RowBox[{"Q", "[", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], ")"}]}]}], 
        "\[DoubleLeftRightArrow]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{"\[Not]", 
                  RowBox[{"(", 
                    RowBox[{"P", "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ")"}]}], ")"}], 
              "\[DoubleLeftRightArrow]", 
              RowBox[{"Q", "[", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}]}]}]], "Conclusion"],
  ","
}], "Conclusion",
  CellTags->"p"],

Cell["with no assumptions.", "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["p",
      ButtonData:>"p",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " in both directions."
}], "Text"],

Cell[CellGroupData[{

Cell["Direction from left to right:", "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(2)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"P", "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[DoubleLeftRightArrow]", 
              RowBox[{"Q", "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}]}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"2"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(1)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{"\[Not]", 
                RowBox[{"(", 
                  RowBox[{"P", "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], ")"}]}], ")"}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{"Q", "[", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"1"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["2",
      ButtonData:>"2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is simplified to:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(5)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"P", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{"(", 
              RowBox[{"\[Not]", 
                RowBox[{"(", 
                  RowBox[{"Q", "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], ")"}]}], ")"}]}], ")"}]}]], 
    "Assumption"],
  "."
}], "Assumption",
  CellTags->"5"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["1",
      ButtonData:>"1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we take all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(6)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{"P", "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], ")"}]}], ")"}], 
        "\[DoubleLeftRightArrow]", 
        RowBox[{"Q", "[", 
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"6"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["6",
      ButtonData:>"6",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " in both directions."
}], "Text"],

Cell[CellGroupData[{

Cell["Direction from left to right:", "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(8)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{"P", "[", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], ")"}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"8"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(7)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"Q", "[", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"7"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["7",
      ButtonData:>"7",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["5",
      ButtonData:>"5",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(12)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{"P", "[", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"12"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["12",
      ButtonData:>"12",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is true because it is identical to ",
  Cell[TextData[{
    "(",
    ButtonBox["8",
      ButtonData:>"8",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Direction from right to left:", "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(10)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"Q", "[", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"10"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(9)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{"P", "[", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"9"],

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["9",
      ButtonData:>"9",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by contradiction."
}], "Text"],

Cell["We assume ", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(13)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"P", "[", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->"13"],

Cell[TextData[{
  "and show ",
  Cell[BoxData[
      \("a contradiction."\)], "Expression",
    FontColor->RGBColor[1, 0, 0]]
}], "Text"],

Cell[TextData[{
  "From ",
  Cell[TextData[{
    "(",
    ButtonBox["10",
      ButtonData:>"10",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["5",
      ButtonData:>"5",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", we obtain:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(15)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{"P", "[", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], ")"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"15"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["a contradiction",
      ButtonData:>"a contradiction",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is proved because ",
  Cell[TextData[{
    "(",
    ButtonBox["15",
      ButtonData:>"15",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " and ",
  Cell[TextData[{
    "(",
    ButtonBox["13",
      ButtonData:>"13",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Direction from right to left:", "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(4)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{"\[Not]", 
                RowBox[{"(", 
                  RowBox[{"P", "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], ")"}]}], ")"}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{"Q", "[", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"4"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(3)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"P", "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[DoubleLeftRightArrow]", 
              RowBox[{"Q", "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"3"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["3",
      ButtonData:>"3",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we take all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(16)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"P", "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{"Q", "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"16"],

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["16",
      ButtonData:>"16",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by contradiction."
}], "Text"],

Cell["We assume ", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(17)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"P", "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[DoubleLeftRightArrow]", 
        RowBox[{"Q", "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->"17"],

Cell[TextData[{
  "and show ",
  Cell[BoxData[
      \("a contradiction."\)], "Expression",
    FontColor->RGBColor[1, 0, 0]]
}], "Text"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["17",
      ButtonData:>"17",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is transformed into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(18)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"P", "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"Q", "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Or]", 
        RowBox[{
          RowBox[{"(", 
            RowBox[{"\[Not]", 
              RowBox[{"(", 
                RowBox[{"P", "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ")"}]}], ")"}], "\[And]", 
          RowBox[{"(", 
            RowBox[{"\[Not]", 
              RowBox[{"(", 
                RowBox[{"Q", "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ")"}]}], ")"}]}]}]], 
    "Assumption"],
  "."
}], "Assumption",
  CellTags->"18"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["a contradiction",
      ButtonData:>"a contradiction",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by case distinction using ",
  Cell[TextData[{
    "(",
    ButtonBox["18",
      ButtonData:>"18",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  Cell[TextData[{
    "(",
    ButtonBox["19",
      ButtonData:>"19",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"P", "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"Q", "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Expression",
    FontColor->RGBColor[1, 0, 1]],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  Cell[TextData[{
    "(",
    ButtonBox["19",
      ButtonData:>"19",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " splits into ",
  Cell[TextData[{
    "(",
    ButtonBox["21",
      ButtonData:>"21",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", ",
  Cell[TextData[{
    "(",
    ButtonBox["22",
      ButtonData:>"22",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[TextData[{
  "From ",
  Cell[TextData[{
    "(",
    ButtonBox["22",
      ButtonData:>"22",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["4",
      ButtonData:>"4",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", we obtain:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(24)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{"P", "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], ")"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"24"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["a contradiction",
      ButtonData:>"a contradiction",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is proved because ",
  Cell[TextData[{
    "(",
    ButtonBox["24",
      ButtonData:>"24",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " and ",
  Cell[TextData[{
    "(",
    ButtonBox["21",
      ButtonData:>"21",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " are contradictory."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  Cell[TextData[{
    "(",
    ButtonBox["20",
      ButtonData:>"20",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{"P", "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], ")"}]}], ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{"Q", "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], ")"}]}], ")"}]}]], "Expression",
    FontColor->RGBColor[1, 0, 1]],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  Cell[TextData[{
    "(",
    ButtonBox["20",
      ButtonData:>"20",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " splits into ",
  Cell[TextData[{
    "(",
    ButtonBox["25",
      ButtonData:>"25",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", ",
  Cell[TextData[{
    "(",
    ButtonBox["26",
      ButtonData:>"26",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[TextData[{
  "From ",
  Cell[TextData[{
    "(",
    ButtonBox["26",
      ButtonData:>"26",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["4",
      ButtonData:>"4",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", we obtain:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(28)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"P", "[", 
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"28"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["a contradiction",
      ButtonData:>"a contradiction",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is proved because ",
  Cell[TextData[{
    "(",
    ButtonBox["28",
      ButtonData:>"28",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " and ",
  Cell[TextData[{
    "(",
    ButtonBox["25",
      ButtonData:>"25",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 1600}, {0, 1144}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{775, 851},
WindowMargins->{{Automatic, 272}, {61, Automatic}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "p"->{
    Cell[1756, 53, 1774, 52, 56, "Conclusion",
      CellTags->"p"]},
  "2"->{
    Cell[3888, 129, 847, 27, 54, "Assumption",
      CellTags->"2"]},
  "1"->{
    Cell[4765, 160, 942, 30, 56, "Conclusion",
      CellTags->"1"]},
  "5"->{
    Cell[5903, 204, 934, 30, 54, "Assumption",
      CellTags->"5"]},
  "6"->{
    Cell[7072, 248, 652, 22, 47, "Conclusion",
      CellTags->"6"]},
  "8"->{
    Cell[8043, 292, 381, 14, 47, "Assumption",
      CellTags->"8"]},
  "7"->{
    Cell[8454, 310, 305, 12, 47, "Conclusion",
      CellTags->"7"]},
  "12"->{
    Cell[9100, 344, 383, 14, 47, "Conclusion",
      CellTags->"12"]},
  "10"->{
    Cell[9942, 387, 307, 12, 47, "Assumption",
      CellTags->"10"]},
  "9"->{
    Cell[10279, 403, 381, 14, 47, "Conclusion",
      CellTags->"9"]},
  "13"->{
    Cell[10886, 433, 307, 12, 47, "Assumption",
      CellTags->"13"]},
  "15"->{
    Cell[11659, 474, 383, 14, 47, "Assumption",
      CellTags->"15"]},
  "4"->{
    Cell[12693, 527, 942, 30, 56, "Assumption",
      CellTags->"4"]},
  "3"->{
    Cell[13665, 561, 847, 27, 54, "Conclusion",
      CellTags->"3"]},
  "16"->{
    Cell[14747, 602, 622, 20, 47, "Conclusion",
      CellTags->"16"]},
  "17"->{
    Cell[15597, 638, 522, 18, 47, "Assumption",
      CellTags->"17"]},
  "18"->{
    Cell[16460, 677, 1187, 37, 47, "Assumption",
      CellTags->"18"]},
  "24"->{
    Cell[19449, 814, 383, 14, 47, "Assumption",
      CellTags->"24"]},
  "28"->{
    Cell[22018, 941, 307, 12, 47, "Assumption",
      CellTags->"28"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"p", 23630, 1009},
  {"2", 23709, 1012},
  {"1", 23788, 1015},
  {"5", 23867, 1018},
  {"6", 23946, 1021},
  {"8", 24025, 1024},
  {"7", 24104, 1027},
  {"12", 24184, 1030},
  {"10", 24265, 1033},
  {"9", 24345, 1036},
  {"13", 24426, 1039},
  {"15", 24508, 1042},
  {"4", 24589, 1045},
  {"3", 24669, 1048},
  {"16", 24750, 1051},
  {"17", 24832, 1054},
  {"18", 24914, 1057},
  {"24", 24997, 1060},
  {"28", 25079, 1063}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 22, 0, 47, "Text"],
Cell[1756, 53, 1774, 52, 56, "Conclusion",
  CellTags->"p"],
Cell[3533, 107, 36, 0, 47, "Text"],

Cell[CellGroupData[{
Cell[3594, 111, 193, 10, 47, "Text"],

Cell[CellGroupData[{
Cell[3812, 125, 45, 0, 47, "Text"],
Cell[3860, 127, 25, 0, 47, "Text"],
Cell[3888, 129, 847, 27, 54, "Assumption",
  CellTags->"2"],
Cell[4738, 158, 24, 0, 47, "Text"],
Cell[4765, 160, 942, 30, 56, "Conclusion",
  CellTags->"1"],
Cell[5710, 192, 190, 10, 47, "Text"],
Cell[5903, 204, 934, 30, 54, "Assumption",
  CellTags->"5"],
Cell[6840, 236, 229, 10, 47, "Text"],
Cell[7072, 248, 652, 22, 47, "Conclusion",
  CellTags->"6"],

Cell[CellGroupData[{
Cell[7749, 274, 193, 10, 47, "Text"],

Cell[CellGroupData[{
Cell[7967, 288, 45, 0, 47, "Text"],
Cell[8015, 290, 25, 0, 47, "Text"],
Cell[8043, 292, 381, 14, 47, "Assumption",
  CellTags->"8"],
Cell[8427, 308, 24, 0, 47, "Text"],
Cell[8454, 310, 305, 12, 47, "Conclusion",
  CellTags->"7"],
Cell[8762, 324, 335, 18, 47, "Text"],
Cell[9100, 344, 383, 14, 47, "Conclusion",
  CellTags->"12"],
Cell[9486, 360, 343, 18, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9866, 383, 45, 0, 47, "Text"],
Cell[9914, 385, 25, 0, 47, "Text"],
Cell[9942, 387, 307, 12, 47, "Assumption",
  CellTags->"10"],
Cell[10252, 401, 24, 0, 47, "Text"],
Cell[10279, 403, 381, 14, 47, "Conclusion",
  CellTags->"9"],
Cell[10663, 419, 191, 10, 47, "Text"],
Cell[10857, 431, 26, 0, 47, "Text"],
Cell[10886, 433, 307, 12, 47, "Assumption",
  CellTags->"13"],
Cell[11196, 447, 137, 5, 47, "Text"],
Cell[11336, 454, 320, 18, 47, "Text"],
Cell[11659, 474, 383, 14, 47, "Assumption",
  CellTags->"15"],
Cell[12045, 490, 511, 26, 47, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[12617, 523, 45, 0, 47, "Text"],
Cell[12665, 525, 25, 0, 47, "Text"],
Cell[12693, 527, 942, 30, 56, "Assumption",
  CellTags->"4"],
Cell[13638, 559, 24, 0, 47, "Text"],
Cell[13665, 561, 847, 27, 54, "Conclusion",
  CellTags->"3"],
Cell[14515, 590, 229, 10, 47, "Text"],
Cell[14747, 602, 622, 20, 47, "Conclusion",
  CellTags->"16"],
Cell[15372, 624, 193, 10, 47, "Text"],
Cell[15568, 636, 26, 0, 47, "Text"],
Cell[15597, 638, 522, 18, 47, "Assumption",
  CellTags->"17"],
Cell[16122, 658, 137, 5, 47, "Text"],
Cell[16262, 665, 195, 10, 47, "Text"],
Cell[16460, 677, 1187, 37, 47, "Assumption",
  CellTags->"18"],

Cell[CellGroupData[{
Cell[17672, 718, 363, 18, 47, "Text"],

Cell[CellGroupData[{
Cell[18060, 740, 594, 24, 47, "Text"],
Cell[18657, 766, 466, 26, 47, "Text"],
Cell[19126, 794, 320, 18, 47, "Text"],
Cell[19449, 814, 383, 14, 47, "Assumption",
  CellTags->"24"],
Cell[19835, 830, 511, 26, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20383, 861, 840, 30, 47, "Text"],
Cell[21226, 893, 466, 26, 47, "Text"],
Cell[21695, 921, 320, 18, 47, "Text"],
Cell[22018, 941, 307, 12, 47, "Assumption",
  CellTags->"28"],
Cell[22328, 955, 511, 26, 47, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

