(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     28274,       1115]*)
(*NotebookOutlinePosition[     30821,       1213]*)
(*  CellTagsIndexPosition[     30393,       1191]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(p)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"P", "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[DoubleLeftRightArrow]", 
              RowBox[{"Q", "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}]}], 
        "\[DoubleLeftRightArrow]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"P", "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[Or]", 
                  RowBox[{"Q", "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}]}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"P", "[", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{"Q", "[", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}]}]}], ")"}]}]], 
    "Conclusion"],
  ","
}], "Conclusion",
  CellTags->"p"],

Cell["with no assumptions.", "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["p",
      ButtonData:>"p",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " in both directions."
}], "Text"],

Cell[CellGroupData[{

Cell["Direction from left to right:", "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(2)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"P", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{"Q", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"2"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(1)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"P", "[", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Or]", 
              RowBox[{"Q", "[", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"P", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"Q", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"1"],

Cell[TextData[{
  "By ",
  Cell[TextData[{
    "(",
    ButtonBox["2",
      ButtonData:>"2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we can take appropriate values such that:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(5)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"P", "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[DoubleLeftRightArrow]", 
        RowBox[{"Q", "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"5"],

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["1",
      ButtonData:>"1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(6)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"P", "[", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Or]", 
            RowBox[{"Q", "[", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"6"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(7)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"P", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"Q", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"7"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["5",
      ButtonData:>"5",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is transformed into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(8)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"P", "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"Q", "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Or]", 
        RowBox[{
          RowBox[{"(", 
            RowBox[{"\[Not]", 
              RowBox[{"(", 
                RowBox[{"P", "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ")"}]}], ")"}], "\[And]", 
          RowBox[{"(", 
            RowBox[{"\[Not]", 
              RowBox[{"(", 
                RowBox[{"Q", "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ")"}]}], ")"}]}]}]], 
    "Assumption"],
  "."
}], "Assumption",
  CellTags->"8"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["7",
      ButtonData:>"7",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by case distinction using ",
  Cell[TextData[{
    "(",
    ButtonBox["8",
      ButtonData:>"8",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  Cell[TextData[{
    "(",
    ButtonBox["9",
      ButtonData:>"9",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"P", "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"Q", "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Expression",
    FontColor->RGBColor[1, 0, 1]],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["7",
      ButtonData:>"7",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is proved because ",
  Cell[TextData[{
    "(",
    ButtonBox["9",
      ButtonData:>"9",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is an instance of it."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  Cell[TextData[{
    "(",
    ButtonBox["10",
      ButtonData:>"10",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{"P", "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], ")"}]}], ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{"Q", "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], ")"}]}], ")"}]}]], "Expression",
    FontColor->RGBColor[1, 0, 1]],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  Cell[TextData[{
    "(",
    ButtonBox["10",
      ButtonData:>"10",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " splits into ",
  Cell[TextData[{
    "(",
    ButtonBox["11",
      ButtonData:>"11",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", ",
  Cell[TextData[{
    "(",
    ButtonBox["12",
      ButtonData:>"12",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[TextData[{
  "From ",
  Cell[TextData[{
    "(",
    ButtonBox["12",
      ButtonData:>"12",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["6",
      ButtonData:>"6",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", we obtain:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(14)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"P", "[", 
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"14"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["7",
      ButtonData:>"7",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is proved because ",
  Cell[TextData[{
    "(",
    ButtonBox["14",
      ButtonData:>"14",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " and ",
  Cell[TextData[{
    "(",
    ButtonBox["11",
      ButtonData:>"11",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Direction from right to left:", "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(4)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"P", "[", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Or]", 
              RowBox[{"Q", "[", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"P", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"Q", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}]}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"4"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(3)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"P", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{"Q", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"3"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["3",
      ButtonData:>"3",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is transformed into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(15)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"P", "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Or]", 
              RowBox[{"Q", "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}]}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"P", "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"Q", "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"15"],

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["15",
      ButtonData:>"15",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(16)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"P", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Or]", 
            RowBox[{"Q", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"16"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(17)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"P", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"Q", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"17"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["4",
      ButtonData:>"4",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is transformed into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(18)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"P", "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "\[Or]", 
                    RowBox[{"Q", "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], ")"}]}], ")"}]}], ")"}], 
        "\[Or]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"P", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"Q", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}]}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"18"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["17",
      ButtonData:>"17",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by case distinction using ",
  Cell[TextData[{
    "(",
    ButtonBox["18",
      ButtonData:>"18",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  Cell[TextData[{
    "(",
    ButtonBox["19",
      ButtonData:>"19",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"P", "[", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Or]", 
                RowBox[{"Q", "[", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], ")"}]}], ")"}]}]], 
    "Expression",
    FontColor->RGBColor[1, 0, 1]],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["19",
      ButtonData:>"19",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is simplified to:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(21)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"\[Not]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"P", "[", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Or]", 
              RowBox[{"Q", "[", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}]}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"21"],

Cell[TextData[{
  "By ",
  Cell[TextData[{
    "(",
    ButtonBox["21",
      ButtonData:>"21",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we can take appropriate values such that:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(22)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"P", "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Or]", 
            RowBox[{"Q", "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"22"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["17",
      ButtonData:>"17",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is proved because ",
  Cell[TextData[{
    "(",
    ButtonBox["22",
      ButtonData:>"22",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " and ",
  Cell[TextData[{
    "(",
    ButtonBox["16",
      ButtonData:>"16",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " are contradictory."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  Cell[TextData[{
    "(",
    ButtonBox["20",
      ButtonData:>"20",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"P", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"Q", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Expression",
    FontColor->RGBColor[1, 0, 1]],
  ":"
}], "Text"],

Cell[TextData[{
  "By ",
  Cell[TextData[{
    "(",
    ButtonBox["20",
      ButtonData:>"20",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we can take appropriate values such that:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(23)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"P", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"Q", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"23"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["17",
      ButtonData:>"17",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is proved because ",
  Cell[TextData[{
    "(",
    ButtonBox["23",
      ButtonData:>"23",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is an instance of it."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 1600}, {0, 1144}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{887, 781},
WindowMargins->{{540, Automatic}, {Automatic, 171}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "p"->{
    Cell[1756, 53, 2427, 69, 57, "Conclusion",
      CellTags->"p"]},
  "2"->{
    Cell[4541, 146, 794, 26, 54, "Assumption",
      CellTags->"2"]},
  "1"->{
    Cell[5365, 176, 1506, 46, 56, "Conclusion",
      CellTags->"1"]},
  "5"->{
    Cell[7086, 236, 520, 18, 47, "Assumption",
      CellTags->"5"]},
  "6"->{
    Cell[7836, 270, 776, 26, 56, "Assumption",
      CellTags->"6"]},
  "7"->{
    Cell[8642, 300, 777, 26, 54, "Conclusion",
      CellTags->"7"]},
  "8"->{
    Cell[9618, 340, 1185, 37, 47, "Assumption",
      CellTags->"8"]},
  "14"->{
    Cell[13798, 532, 307, 12, 47, "Assumption",
      CellTags->"14"]},
  "4"->{
    Cell[14728, 583, 1506, 46, 56, "Assumption",
      CellTags->"4"]},
  "3"->{
    Cell[16264, 633, 794, 26, 54, "Conclusion",
      CellTags->"3"]},
  "15"->{
    Cell[17257, 673, 1508, 46, 54, "Conclusion",
      CellTags->"15"]},
  "16"->{
    Cell[18997, 735, 778, 26, 54, "Assumption",
      CellTags->"16"]},
  "17"->{
    Cell[19805, 765, 779, 26, 54, "Conclusion",
      CellTags->"17"]},
  "18"->{
    Cell[20783, 805, 1719, 50, 57, "Assumption",
      CellTags->"18"]},
  "21"->{
    Cell[24091, 930, 831, 27, 56, "Assumption",
      CellTags->"21"]},
  "22"->{
    Cell[25139, 971, 604, 20, 47, "Assumption",
      CellTags->"22"]},
  "23"->{
    Cell[27353, 1070, 505, 18, 47, "Assumption",
      CellTags->"23"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"p", 29002, 1136},
  {"2", 29081, 1139},
  {"1", 29160, 1142},
  {"5", 29240, 1145},
  {"6", 29319, 1148},
  {"7", 29398, 1151},
  {"8", 29477, 1154},
  {"14", 29558, 1157},
  {"4", 29639, 1160},
  {"3", 29720, 1163},
  {"15", 29801, 1166},
  {"16", 29884, 1169},
  {"17", 29966, 1172},
  {"18", 30048, 1175},
  {"21", 30131, 1178},
  {"22", 30213, 1181},
  {"23", 30295, 1184}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 22, 0, 47, "Text"],
Cell[1756, 53, 2427, 69, 57, "Conclusion",
  CellTags->"p"],
Cell[4186, 124, 36, 0, 47, "Text"],

Cell[CellGroupData[{
Cell[4247, 128, 193, 10, 47, "Text"],

Cell[CellGroupData[{
Cell[4465, 142, 45, 0, 47, "Text"],
Cell[4513, 144, 25, 0, 47, "Text"],
Cell[4541, 146, 794, 26, 54, "Assumption",
  CellTags->"2"],
Cell[5338, 174, 24, 0, 47, "Text"],
Cell[5365, 176, 1506, 46, 56, "Conclusion",
  CellTags->"1"],
Cell[6874, 224, 209, 10, 47, "Text"],
Cell[7086, 236, 520, 18, 47, "Assumption",
  CellTags->"5"],
Cell[7609, 256, 196, 10, 47, "Text"],
Cell[7808, 268, 25, 0, 47, "Text"],
Cell[7836, 270, 776, 26, 56, "Assumption",
  CellTags->"6"],
Cell[8615, 298, 24, 0, 47, "Text"],
Cell[8642, 300, 777, 26, 54, "Conclusion",
  CellTags->"7"],
Cell[9422, 328, 193, 10, 47, "Text"],
Cell[9618, 340, 1185, 37, 47, "Assumption",
  CellTags->"8"],

Cell[CellGroupData[{
Cell[10828, 381, 333, 18, 47, "Text"],

Cell[CellGroupData[{
Cell[11186, 403, 592, 24, 47, "Text"],
Cell[11781, 429, 345, 18, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12163, 452, 840, 30, 47, "Text"],
Cell[13006, 484, 466, 26, 47, "Text"],
Cell[13475, 512, 320, 18, 47, "Text"],
Cell[13798, 532, 307, 12, 47, "Assumption",
  CellTags->"14"],
Cell[14108, 546, 483, 26, 47, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[14652, 579, 45, 0, 47, "Text"],
Cell[14700, 581, 25, 0, 47, "Text"],
Cell[14728, 583, 1506, 46, 56, "Assumption",
  CellTags->"4"],
Cell[16237, 631, 24, 0, 47, "Text"],
Cell[16264, 633, 794, 26, 54, "Conclusion",
  CellTags->"3"],
Cell[17061, 661, 193, 10, 47, "Text"],
Cell[17257, 673, 1508, 46, 54, "Conclusion",
  CellTags->"15"],
Cell[18768, 721, 198, 10, 47, "Text"],
Cell[18969, 733, 25, 0, 47, "Text"],
Cell[18997, 735, 778, 26, 54, "Assumption",
  CellTags->"16"],
Cell[19778, 763, 24, 0, 47, "Text"],
Cell[19805, 765, 779, 26, 54, "Conclusion",
  CellTags->"17"],
Cell[20587, 793, 193, 10, 47, "Text"],
Cell[20783, 805, 1719, 50, 57, "Assumption",
  CellTags->"18"],

Cell[CellGroupData[{
Cell[22527, 859, 337, 18, 47, "Text"],

Cell[CellGroupData[{
Cell[22889, 881, 1004, 35, 57, "Text"],
Cell[23896, 918, 192, 10, 47, "Text"],
Cell[24091, 930, 831, 27, 56, "Assumption",
  CellTags->"21"],
Cell[24925, 959, 211, 10, 47, "Text"],
Cell[25139, 971, 604, 20, 47, "Assumption",
  CellTags->"22"],
Cell[25746, 993, 485, 26, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26268, 1024, 868, 32, 54, "Text"],
Cell[27139, 1058, 211, 10, 47, "Text"],
Cell[27353, 1070, 505, 18, 47, "Assumption",
  CellTags->"23"],
Cell[27861, 1090, 349, 18, 47, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

