(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     14502,        527]*)
(*NotebookOutlinePosition[     16227,        589]*)
(*  CellTagsIndexPosition[     15970,        576]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData["(==\[Implies]=)"], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Conclusion"],
  ","
}], "Conclusion",
  CellTags->"==\[Implies]="],

Cell[CellGroupData[{

Cell["under the assumption:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData["(=\[Implies]\[ForAll]=\[Implies]=)"], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "=", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "\[Implies]", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "=", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], ")"}]}]}], ")"}]}]], 
    "Assumption"],
  "."
}], "Assumption",
  CellTags->"=\[Implies]\[ForAll]=\[Implies]="]
}, Open  ]],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["==",
      ButtonData:>"==\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["\[Implies]",
      ButtonData:>"==\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["=",
      ButtonData:>"==\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we take all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(1)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "=", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "\[And]", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "=", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"1"],

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["1",
      ButtonData:>"1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(2)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"2"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(3)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"3"],

Cell[TextData[{
  "The conjunction ",
  Cell[TextData[{
    "(",
    ButtonBox["2",
      ButtonData:>"2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " splits into ",
  Cell[TextData[{
    "(",
    ButtonBox["4",
      ButtonData:>"4",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", ",
  Cell[TextData[{
    "(",
    ButtonBox["5",
      ButtonData:>"5",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[TextData[{
  "From ",
  Cell[TextData[{
    "(",
    ButtonBox["5",
      ButtonData:>"5",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["=",
      ButtonData:>"=\[Implies]\[ForAll]=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["\[Implies]\[ForAll]",
      ButtonData:>"=\[Implies]\[ForAll]=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["=",
      ButtonData:>"=\[Implies]\[ForAll]=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["\[Implies]",
      ButtonData:>"=\[Implies]\[ForAll]=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["=",
      ButtonData:>"=\[Implies]\[ForAll]=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", we obtain:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(7)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"7"],

Cell[TextData[{
  "From ",
  Cell[TextData[{
    "(",
    ButtonBox["4",
      ButtonData:>"4",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["=",
      ButtonData:>"=\[Implies]\[ForAll]=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["\[Implies]\[ForAll]",
      ButtonData:>"=\[Implies]\[ForAll]=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["=",
      ButtonData:>"=\[Implies]\[ForAll]=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["\[Implies]",
      ButtonData:>"=\[Implies]\[ForAll]=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["=",
      ButtonData:>"=\[Implies]\[ForAll]=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", we obtain:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(6)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"6"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["3",
      ButtonData:>"3",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["6",
      ButtonData:>"6",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(9)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"9"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["9",
      ButtonData:>"9",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is true because it is identical to ",
  Cell[TextData[{
    "(",
    ButtonBox["5",
      ButtonData:>"5",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 1600}, {0, 1144}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{896, 900},
WindowMargins->{{185, Automatic}, {Automatic, 16}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "==\[Implies]="->{
    Cell[1756, 53, 1866, 55, 56, "Conclusion",
      CellTags->"==\[Implies]="]},
  "=\[Implies]\[ForAll]=\[Implies]="->{
    Cell[3687, 114, 2150, 60, 56, "Assumption",
      CellTags->"=\[Implies]\[ForAll]=\[Implies]="]},
  "1"->{
    Cell[6280, 195, 1229, 39, 47, "Conclusion",
      CellTags->"1"]},
  "2"->{
    Cell[7739, 250, 831, 28, 47, "Assumption",
      CellTags->"2"]},
  "3"->{
    Cell[8600, 282, 414, 16, 47, "Conclusion",
      CellTags->"3"]},
  "7"->{
    Cell[10283, 360, 1149, 36, 54, "Assumption",
      CellTags->"7"]},
  "6"->{
    Cell[12238, 430, 1149, 36, 54, "Assumption",
      CellTags->"6"]},
  "9"->{
    Cell[13728, 488, 414, 16, 47, "Conclusion",
      CellTags->"9"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"==\[Implies]=", 15241, 548},
  {"=\[Implies]\[ForAll]=\[Implies]=", 15363, 551},
  {"1", 15474, 554},
  {"2", 15554, 557},
  {"3", 15633, 560},
  {"7", 15712, 563},
  {"6", 15793, 566},
  {"9", 15874, 569}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 22, 0, 47, "Text"],
Cell[1756, 53, 1866, 55, 56, "Conclusion",
  CellTags->"==\[Implies]="],

Cell[CellGroupData[{
Cell[3647, 112, 37, 0, 47, "Text"],
Cell[3687, 114, 2150, 60, 56, "Assumption",
  CellTags->"=\[Implies]\[ForAll]=\[Implies]="]
}, Open  ]],
Cell[5852, 177, 425, 16, 47, "Text"],
Cell[6280, 195, 1229, 39, 47, "Conclusion",
  CellTags->"1"],
Cell[7512, 236, 196, 10, 47, "Text"],
Cell[7711, 248, 25, 0, 47, "Text"],
Cell[7739, 250, 831, 28, 47, "Assumption",
  CellTags->"2"],
Cell[8573, 280, 24, 0, 47, "Text"],
Cell[8600, 282, 414, 16, 47, "Conclusion",
  CellTags->"3"],
Cell[9017, 300, 460, 26, 47, "Text"],
Cell[9480, 328, 800, 30, 47, "Text"],
Cell[10283, 360, 1149, 36, 54, "Assumption",
  CellTags->"7"],
Cell[11435, 398, 800, 30, 47, "Text"],
Cell[12238, 430, 1149, 36, 54, "Assumption",
  CellTags->"6"],
Cell[13390, 468, 335, 18, 47, "Text"],
Cell[13728, 488, 414, 16, 47, "Conclusion",
  CellTags->"9"],
Cell[14145, 506, 341, 18, 47, "Text"]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

