(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     18662,        728]*)
(*NotebookOutlinePosition[     21107,        814]*)
(*  CellTagsIndexPosition[     20686,        795]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData["(\[LessEqual]\[GreaterEqual]\[Implies]=)"], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[LessEqual]", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[LessEqual]", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Conclusion"],
  ","
}], "Conclusion",
  CellTags->"\[LessEqual]\[GreaterEqual]\[Implies]="],

Cell[CellGroupData[{

Cell["under the assumptions:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData["(\[LessEqual]:)"], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[LessEqual]", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ":=", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "\[Or]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->"\[LessEqual]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData["(=\[Implies]=)"], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->"=\[Implies]="],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData["(<\[Implies]\[Not]<)"], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "<", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[NotLess]", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"<\[Implies]\[Not]<"]
}, Open  ]],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["\[LessEqual]\[GreaterEqual]\[Implies]",
      ButtonData:>"\[LessEqual]\[GreaterEqual]\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["=",
      ButtonData:>"\[LessEqual]\[GreaterEqual]\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we take all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(1)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[LessEqual]", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[LessEqual]", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"1"],

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["1",
      ButtonData:>"1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(2)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[LessEqual]", 
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[LessEqual]", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"2"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(3)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"3"],

Cell[TextData[{
  "The conjunction ",
  Cell[TextData[{
    "(",
    ButtonBox["2",
      ButtonData:>"2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " splits into ",
  Cell[TextData[{
    "(",
    ButtonBox["4",
      ButtonData:>"4",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", ",
  Cell[TextData[{
    "(",
    ButtonBox["5",
      ButtonData:>"5",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  Cell[TextData[{
    "(",
    ButtonBox["4",
      ButtonData:>"4",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is expanded by the definition ",
  Cell[TextData[{
    "(",
    ButtonBox["\[LessEqual]",
      ButtonData:>"\[LessEqual]:",
      ButtonStyle->"Hyperlink"],
    ButtonBox[":",
      ButtonData:>"\[LessEqual]:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(6)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "<", 
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"6"],

Cell[TextData[{
  "The formula ",
  Cell[TextData[{
    "(",
    ButtonBox["5",
      ButtonData:>"5",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is expanded by the definition ",
  Cell[TextData[{
    "(",
    ButtonBox["\[LessEqual]",
      ButtonData:>"\[LessEqual]:",
      ButtonStyle->"Hyperlink"],
    ButtonBox[":",
      ButtonData:>"\[LessEqual]:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(7)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "<", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"7"],

Cell[TextData[{
  "We remove the alternative identical to the goal ",
  Cell[TextData[{
    "(",
    ButtonBox["3",
      ButtonData:>"3",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " from the disjunction ",
  Cell[TextData[{
    "(",
    ButtonBox["6",
      ButtonData:>"6",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "and obtain:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(8)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "<", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"8"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["3",
      ButtonData:>"3",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["=",
      ButtonData:>"=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["\[Implies]",
      ButtonData:>"=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["=",
      ButtonData:>"=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(10)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"10"],

Cell[TextData[{
  "We remove the alternative identical to the goal ",
  Cell[TextData[{
    "(",
    ButtonBox["10",
      ButtonData:>"10",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " from the disjunction ",
  Cell[TextData[{
    "(",
    ButtonBox["7",
      ButtonData:>"7",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "and obtain:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(11)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "<", 
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"11"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["10",
      ButtonData:>"10",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["=",
      ButtonData:>"=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["\[Implies]",
      ButtonData:>"=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ButtonBox["=",
      ButtonData:>"=\[Implies]=",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(13)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"13"],

Cell[TextData[{
  "From ",
  Cell[TextData[{
    "(",
    ButtonBox["11",
      ButtonData:>"11",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["<",
      ButtonData:>"<\[Implies]\[Not]<",
      ButtonStyle->"Hyperlink"],
    ButtonBox["\[Implies]",
      ButtonData:>"<\[Implies]\[Not]<",
      ButtonStyle->"Hyperlink"],
    ButtonBox["\[Not]<",
      ButtonData:>"<\[Implies]\[Not]<",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", we obtain:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(15)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotLess]", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"15"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["13",
      ButtonData:>"13",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is proved because ",
  Cell[TextData[{
    "(",
    ButtonBox["15",
      ButtonData:>"15",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " and ",
  Cell[TextData[{
    "(",
    ButtonBox["8",
      ButtonData:>"8",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " are contradictory."
}], "Text"]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 1600}, {0, 1144}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{864, 861},
WindowMargins->{{Automatic, -242}, {-5, Automatic}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "\[LessEqual]\[GreaterEqual]\[Implies]="->{
    Cell[1756, 53, 1697, 49, 56, "Conclusion",
      CellTags->"\[LessEqual]\[GreaterEqual]\[Implies]="]},
  "\[LessEqual]:"->{
    Cell[3519, 108, 1629, 49, 56, "Assumption",
      CellTags->"\[LessEqual]:"]},
  "=\[Implies]="->{
    Cell[5151, 159, 1301, 40, 56, "Assumption",
      CellTags->"=\[Implies]="]},
  "<\[Implies]\[Not]<"->{
    Cell[6455, 201, 1271, 39, 56, "Assumption",
      CellTags->"<\[Implies]\[Not]<"]},
  "1"->{
    Cell[8158, 258, 1153, 37, 47, "Conclusion",
      CellTags->"1"]},
  "2"->{
    Cell[9541, 311, 759, 26, 47, "Assumption",
      CellTags->"2"]},
  "3"->{
    Cell[10330, 341, 414, 16, 47, "Conclusion",
      CellTags->"3"]},
  "6"->{
    Cell[11668, 410, 783, 27, 47, "Assumption",
      CellTags->"6"]},
  "7"->{
    Cell[12912, 462, 783, 27, 47, "Assumption",
      CellTags->"7"]},
  "8"->{
    Cell[14078, 511, 414, 16, 47, "Assumption",
      CellTags->"8"]},
  "10"->{
    Cell[15025, 555, 416, 16, 47, "Conclusion",
      CellTags->"10"]},
  "11"->{
    Cell[15826, 593, 416, 16, 47, "Assumption",
      CellTags->"11"]},
  "13"->{
    Cell[16777, 637, 416, 16, 47, "Conclusion",
      CellTags->"13"]},
  "15"->{
    Cell[17735, 681, 425, 16, 47, "Assumption",
      CellTags->"15"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"\[LessEqual]\[GreaterEqual]\[Implies]=", 19427, 749},
  {"\[LessEqual]:", 19555, 752},
  {"=\[Implies]=", 19658, 755},
  {"<\[Implies]\[Not]<", 19766, 758},
  {"1", 19863, 761},
  {"2", 19943, 764},
  {"3", 20022, 767},
  {"6", 20102, 770},
  {"7", 20182, 773},
  {"8", 20262, 776},
  {"10", 20343, 779},
  {"11", 20425, 782},
  {"13", 20507, 785},
  {"15", 20589, 788}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 22, 0, 47, "Text"],
Cell[1756, 53, 1697, 49, 56, "Conclusion",
  CellTags->"\[LessEqual]\[GreaterEqual]\[Implies]="],

Cell[CellGroupData[{
Cell[3478, 106, 38, 0, 47, "Text"],
Cell[3519, 108, 1629, 49, 56, "Assumption",
  CellTags->"\[LessEqual]:"],
Cell[5151, 159, 1301, 40, 56, "Assumption",
  CellTags->"=\[Implies]="],
Cell[6455, 201, 1271, 39, 56, "Assumption",
  CellTags->"<\[Implies]\[Not]<"]
}, Open  ]],
Cell[7741, 243, 414, 13, 47, "Text"],
Cell[8158, 258, 1153, 37, 47, "Conclusion",
  CellTags->"1"],
Cell[9314, 297, 196, 10, 47, "Text"],
Cell[9513, 309, 25, 0, 47, "Text"],
Cell[9541, 311, 759, 26, 47, "Assumption",
  CellTags->"2"],
Cell[10303, 339, 24, 0, 47, "Text"],
Cell[10330, 341, 414, 16, 47, "Conclusion",
  CellTags->"3"],
Cell[10747, 359, 460, 26, 47, "Text"],
Cell[11210, 387, 455, 21, 47, "Text"],
Cell[11668, 410, 783, 27, 47, "Assumption",
  CellTags->"6"],
Cell[12454, 439, 455, 21, 47, "Text"],
Cell[12912, 462, 783, 27, 47, "Assumption",
  CellTags->"7"],
Cell[13698, 491, 377, 18, 47, "Text"],
Cell[14078, 511, 414, 16, 47, "Assumption",
  CellTags->"8"],
Cell[14495, 529, 527, 24, 47, "Text"],
Cell[15025, 555, 416, 16, 47, "Conclusion",
  CellTags->"10"],
Cell[15444, 573, 379, 18, 47, "Text"],
Cell[15826, 593, 416, 16, 47, "Assumption",
  CellTags->"11"],
Cell[16245, 611, 529, 24, 47, "Text"],
Cell[16777, 637, 416, 16, 47, "Conclusion",
  CellTags->"13"],
Cell[17196, 655, 536, 24, 47, "Text"],
Cell[17735, 681, 425, 16, 47, "Assumption",
  CellTags->"15"],
Cell[18163, 699, 483, 26, 47, "Text"]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

