(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     22641,        824]*)
(*NotebookOutlinePosition[     24578,        899]*)
(*  CellTagsIndexPosition[     24294,        883]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l2+)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}], "\[And]", 
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["b",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{"limit", "[", 
              RowBox[{
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["b",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "]"}]}], ")"}]}]], "Conclusion"],
  ","
}], "Conclusion",
  CellTags->"l2+"],

Cell[CellGroupData[{

Cell["under the assumptions:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l2:)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"limit", "[", 
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], ":=", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->"l2:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  FractionBox[
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}], "]"}], "\[And]", 
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["b",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  FractionBox[
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}], "]"}]}], "\[Implies]", 
            RowBox[{"limit", "[", 
              RowBox[{
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["b",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"l3+"]
}, Open  ]],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["l2+",
      ButtonData:>"l2+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we take all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(1)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}], "\[And]", 
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}], "\[Implies]", 
        RowBox[{"limit", "[", 
          RowBox[{
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[CirclePlus]", 
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "]"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"1"],

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["1",
      ButtonData:>"1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(2)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}], "\[And]", 
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"2"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(3)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"limit", "[", 
        RowBox[{
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[CirclePlus]", 
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ",", 
          RowBox[{
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "]"}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"3"],

Cell[TextData[{
  "The conjunction ",
  Cell[TextData[{
    "(",
    ButtonBox["2",
      ButtonData:>"2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " splits into ",
  Cell[TextData[{
    "(",
    ButtonBox["4",
      ButtonData:>"4",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", ",
  Cell[TextData[{
    "(",
    ButtonBox["5",
      ButtonData:>"5",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["3",
      ButtonData:>"3",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by the definition ",
  Cell[TextData[{
    "(",
    ButtonBox["l2:",
      ButtonData:>"l2:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", it suffices to prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(6)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"limit", "[", 
          RowBox[{
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[CirclePlus]", 
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"6"],

Cell[TextData[{
  "The formula ",
  Cell[TextData[{
    "(",
    ButtonBox["4",
      ButtonData:>"4",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is expanded by the definition ",
  Cell[TextData[{
    "(",
    ButtonBox["l2:",
      ButtonData:>"l2:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(7)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"7"],

Cell[TextData[{
  "The formula ",
  Cell[TextData[{
    "(",
    ButtonBox["5",
      ButtonData:>"5",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is expanded by the definition ",
  Cell[TextData[{
    "(",
    ButtonBox["l2:",
      ButtonData:>"l2:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(8)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"8"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["6",
      ButtonData:>"6",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we take all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(9)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"limit", "[", 
        RowBox[{
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[CirclePlus]", 
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ",", 
          RowBox[{
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ",", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "]"}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"9"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["9",
      ButtonData:>"9",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+",
      ButtonData:>"l3+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(11)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], "]"}], "\[And]", 
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], "]"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"11"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  Cell[TextData[{
    "(",
    ButtonBox["11",
      ButtonData:>"11",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  Cell[TextData[{
    "(",
    ButtonBox["12",
      ButtonData:>"12",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"limit", "[", 
        RowBox[{
          StyleBox[\(f\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(a\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "]"}]], "Expression",
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["12",
      ButtonData:>"12",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is proved because it is an instance of ",
  Cell[TextData[{
    "(",
    ButtonBox["7",
      ButtonData:>"7",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  Cell[TextData[{
    "(",
    ButtonBox["13",
      ButtonData:>"13",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"limit", "[", 
        RowBox[{
          StyleBox[\(g\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(b\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}], "]"}]], "Expression",
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["13",
      ButtonData:>"13",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is proved because it is an instance of ",
  Cell[TextData[{
    "(",
    ButtonBox["8",
      ButtonData:>"8",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1600}, {0, 1200}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1233, 964},
WindowMargins->{{80, Automatic}, {Automatic, 80}},
Visible->True,
CellLabelAutoDelete->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "l2+"->{
    Cell[1764, 53, 2398, 69, 57, "Conclusion",
      CellTags->"l2+"]},
  "l2:"->{
    Cell[4228, 128, 1733, 51, 57, "Assumption",
      CellTags->"l2:"]},
  "l3+"->{
    Cell[5964, 181, 3128, 87, 58, "Assumption",
      CellTags->"l3+"]},
  "1"->{
    Cell[9343, 283, 1626, 49, 46, "Conclusion",
      CellTags->"1"]},
  "2"->{
    Cell[11199, 348, 849, 28, 46, "Assumption",
      CellTags->"2"]},
  "3"->{
    Cell[12078, 380, 818, 27, 46, "Conclusion",
      CellTags->"3"]},
  "6"->{
    Cell[13720, 457, 1222, 38, 54, "Conclusion",
      CellTags->"6"]},
  "7"->{
    Cell[15297, 517, 852, 28, 54, "Assumption",
      CellTags->"7"]},
  "8"->{
    Cell[16504, 567, 852, 28, 54, "Assumption",
      CellTags->"8"]},
  "9"->{
    Cell[17591, 609, 959, 31, 46, "Conclusion",
      CellTags->"9"]},
  "11"->{
    Cell[18895, 662, 1227, 38, 53, "Conclusion",
      CellTags->"11"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"l2+", 23385, 846},
  {"l2:", 23468, 849},
  {"l3+", 23552, 852},
  {"1", 23634, 855},
  {"2", 23714, 858},
  {"3", 23794, 861},
  {"6", 23874, 864},
  {"7", 23955, 867},
  {"8", 24035, 870},
  {"9", 24115, 873},
  {"11", 24196, 876}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 22, 0, 46, "Text"],
Cell[1764, 53, 2398, 69, 57, "Conclusion",
  CellTags->"l2+"],

Cell[CellGroupData[{
Cell[4187, 126, 38, 0, 46, "Text"],
Cell[4228, 128, 1733, 51, 57, "Assumption",
  CellTags->"l2:"],
Cell[5964, 181, 3128, 87, 58, "Assumption",
  CellTags->"l3+"]
}, Open  ]],
Cell[9107, 271, 233, 10, 46, "Text"],
Cell[9343, 283, 1626, 49, 46, "Conclusion",
  CellTags->"1"],
Cell[10972, 334, 196, 10, 46, "Text"],
Cell[11171, 346, 25, 0, 46, "Text"],
Cell[11199, 348, 849, 28, 46, "Assumption",
  CellTags->"2"],
Cell[12051, 378, 24, 0, 46, "Text"],
Cell[12078, 380, 818, 27, 46, "Conclusion",
  CellTags->"3"],
Cell[12899, 409, 460, 26, 46, "Text"],
Cell[13362, 437, 355, 18, 46, "Text"],
Cell[13720, 457, 1222, 38, 54, "Conclusion",
  CellTags->"6"],
Cell[14945, 497, 349, 18, 46, "Text"],
Cell[15297, 517, 852, 28, 54, "Assumption",
  CellTags->"7"],
Cell[16152, 547, 349, 18, 46, "Text"],
Cell[16504, 567, 852, 28, 54, "Assumption",
  CellTags->"8"],
Cell[17359, 597, 229, 10, 46, "Text"],
Cell[17591, 609, 959, 31, 46, "Conclusion",
  CellTags->"9"],
Cell[18553, 642, 339, 18, 46, "Text"],
Cell[18895, 662, 1227, 38, 53, "Conclusion",
  CellTags->"11"],

Cell[CellGroupData[{
Cell[20147, 704, 212, 10, 46, "Text"],

Cell[CellGroupData[{
Cell[20384, 718, 740, 28, 52, "Text"],
Cell[21127, 748, 347, 18, 46, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21511, 771, 740, 28, 52, "Text"],
Cell[22254, 801, 347, 18, 46, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

