(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     36536,       1146]*)
(*NotebookOutlinePosition[     37261,       1173]*)
(*  CellTagsIndexPosition[     37217,       1169]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(l3+)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["a",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["b",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["g",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"limit", "[", 
                  RowBox[{
                    StyleBox["f",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], "\[And]", 
                RowBox[{"limit", "[", 
                  RowBox[{
                    StyleBox["g",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], "\[Implies]", 
              RowBox[{"limit", "[", 
                RowBox[{
                  RowBox[{
                    StyleBox["f",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[CirclePlus]", 
                    StyleBox["g",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ",", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ",", 
                  RowBox[{
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], "]"}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ","
}], "Text"],

Cell[CellGroupData[{

Cell["under the assumptions:", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(l3:)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["a",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"limit", "[", 
                  RowBox[{
                    StyleBox["f",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ","
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(l4+)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["a",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["b",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["g",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"limit", "[", 
                  RowBox[{
                    StyleBox["f",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], "\[And]", 
                RowBox[{"limit", "[", 
                  RowBox[{
                    StyleBox["g",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], "\[Implies]", 
              RowBox[{"limit", "[", 
                RowBox[{
                  RowBox[{
                    StyleBox["f",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[CirclePlus]", 
                    StyleBox["g",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ",", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ",", 
                  RowBox[{
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ",", 
                  RowBox[{"max", "[", 
                    RowBox[{
                      StyleBox["M",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ",", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "]"}]}], "]"}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"]
}, Open  ]],

Cell[TextData[{
  "For proving ",
  StyleBox["(l3+)",
    FontColor->RGBColor[0, 0, 1]],
  " we take all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(1)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{
            RowBox[{"limit", "[", 
              RowBox[{
                StyleBox[\(f\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(a\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(\[Delta]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "\[And]", 
            RowBox[{"limit", "[", 
              RowBox[{
                StyleBox[\(g\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(b\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], "\[Implies]", 
          RowBox[{"limit", "[", 
            RowBox[{
              RowBox[{
                StyleBox[\(f\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[CirclePlus]", 
                StyleBox[\(g\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ",", 
              RowBox[{
                StyleBox[\(a\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(b\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ",", 
              RowBox[{
                StyleBox[\(\[Delta]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "]"}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "We prove ",
  StyleBox["(1)",
    FontColor->RGBColor[0, 0, 1]],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(2)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}], "\[And]", 
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  " "
}], "Text"],

Cell["and show", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(3)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{"limit", "[", 
          RowBox[{
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[CirclePlus]", 
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "]"}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(2)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(5)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "For proving ",
  StyleBox["(3)",
    FontColor->RGBColor[0, 0, 1]],
  ", by the definition ",
  StyleBox["(l3:)",
    FontColor->RGBColor[0, 0, 1]],
  ", it suffices to prove:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(6)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"limit", "[", 
            RowBox[{
              RowBox[{
                StyleBox[\(f\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[CirclePlus]", 
                StyleBox[\(g\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ",", 
              RowBox[{
                StyleBox[\(a\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(b\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ",", 
              RowBox[{
                StyleBox[\(\[Delta]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ",", 
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(l3:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(7)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "By ",
  StyleBox["(7)",
    FontColor->RGBColor[0, 0, 1]],
  " we can take appropriate values such that:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Delta]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(N\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(5)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(l3:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(9)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "By ",
  StyleBox["(9)",
    FontColor->RGBColor[0, 0, 1]],
  " we can take appropriate values such that:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(10)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(N\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Because the formula ",
  StyleBox["(l4+)",
    FontColor->RGBColor[0, 0, 1]],
  " matches the goal ",
  StyleBox["(6)",
    FontColor->RGBColor[0, 0, 1]],
  ", we specialize it to:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(11)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"limit", "[", 
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(a\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(\[Delta]\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], "\[And]", 
                RowBox[{"limit", "[", 
                  RowBox[{
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(b\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(\[Epsilon]\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], "\[Implies]", 
              RowBox[{"limit", "[", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[CirclePlus]", 
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ",", 
                  RowBox[{
                    StyleBox[\(a\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    StyleBox[\(b\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ",", 
                  RowBox[{
                    StyleBox[\(\[Delta]\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    StyleBox[\(\[Epsilon]\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ",", 
                  RowBox[{"max", "[", 
                    RowBox[{
                      StyleBox["M",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ",", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "]"}]}], "]"}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "For proving ",
  StyleBox["(6)",
    FontColor->RGBColor[0, 0, 1]],
  ", by ",
  StyleBox["(11)",
    FontColor->RGBColor[0, 0, 1]],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(12)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(a\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(\[Delta]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}], "\[And]", 
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(b\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "For proving ",
  StyleBox["(12)",
    FontColor->RGBColor[0, 0, 1]],
  " it is sufficient to prove:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(13)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(a\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(\[Delta]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(N\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}], "\[And]", 
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(b\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "For proving ",
  StyleBox["(13)",
    FontColor->RGBColor[0, 0, 1]],
  " it is sufficient to prove:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(N\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}], "\[And]", 
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(N\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(15)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Delta]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(N\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(15)",
    FontColor->RGBColor[0, 0, 1]],
  " is true because it is identical to ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(16)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(N\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(16)",
    FontColor->RGBColor[0, 0, 1]],
  " is true because it is identical to ",
  StyleBox["(10)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1600}, {0, 1200}},
CellGrouping->Manual,
WindowSize->{956, 1031},
WindowMargins->{{49, Automatic}, {Automatic, 24}},
Visible->True,
CellLabelAutoDelete->True,
Magnification->1.5
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 22, 0, 46, "Text"],
Cell[1764, 53, 3586, 96, 57, "Text"],

Cell[CellGroupData[{
Cell[5375, 153, 38, 0, 46, "Text"],
Cell[5416, 155, 2332, 65, 57, "Text"],
Cell[7751, 222, 4633, 122, 81, "Text"]
}, Open  ]],
Cell[12399, 347, 158, 5, 46, "Text"],
Cell[12560, 354, 2426, 68, 46, "Text"],
Cell[14989, 424, 123, 5, 46, "Text"],
Cell[15115, 431, 25, 0, 46, "Text"],
Cell[15143, 433, 1238, 38, 46, "Text"],
Cell[16384, 473, 24, 0, 46, "Text"],
Cell[16411, 475, 1228, 38, 46, "Text"],
Cell[17642, 515, 244, 11, 46, "Text"],
Cell[17889, 528, 207, 8, 46, "Text"],
Cell[18099, 538, 1654, 49, 54, "Text"],
Cell[19756, 589, 201, 8, 46, "Text"],
Cell[19960, 599, 1066, 34, 54, "Text"],
Cell[21029, 635, 136, 5, 46, "Text"],
Cell[21168, 642, 810, 27, 46, "Text"],
Cell[21981, 671, 201, 8, 46, "Text"],
Cell[22185, 681, 1068, 34, 58, "Text"],
Cell[23256, 717, 136, 5, 48, "Text"],
Cell[23395, 724, 813, 27, 48, "Text"],
Cell[24211, 753, 212, 8, 48, "Text"],
Cell[24426, 763, 3818, 98, 63, "Text"],
Cell[28247, 863, 190, 8, 48, "Text"],
Cell[28440, 873, 2067, 58, 63, "Text"],
Cell[30510, 933, 131, 5, 48, "Text"],
Cell[30644, 940, 1934, 54, 58, "Text"],
Cell[32581, 996, 131, 5, 105, "Text"],
Cell[32715, 1003, 1535, 46, 105, "Text"],

Cell[CellGroupData[{
Cell[34275, 1053, 138, 5, 105, "Text"],

Cell[CellGroupData[{
Cell[34438, 1062, 810, 27, 105, "Text"],
Cell[35251, 1091, 196, 8, 105, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[35484, 1104, 812, 27, 105, "Text"],
Cell[36299, 1133, 197, 8, 105, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

