(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     46979,       1466]*)
(*NotebookOutlinePosition[     47705,       1493]*)
(*  CellTagsIndexPosition[     47661,       1489]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(l4+)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["a",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["b",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["g",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"limit", "[", 
                  RowBox[{
                    StyleBox["f",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], "\[And]", 
                RowBox[{"limit", "[", 
                  RowBox[{
                    StyleBox["g",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], "\[Implies]", 
              RowBox[{"limit", "[", 
                RowBox[{
                  RowBox[{
                    StyleBox["f",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[CirclePlus]", 
                    StyleBox["g",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ",", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ",", 
                  RowBox[{
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ",", 
                  RowBox[{"max", "[", 
                    RowBox[{
                      StyleBox["M",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ",", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "]"}]}], "]"}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ","
}], "Text"],

Cell[CellGroupData[{

Cell["under the assumptions:", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(l4:)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["a",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}], ":=", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{
                            StyleBox["f",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox["a",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ","
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(\[CirclePlus]:)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["g",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["f",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[CirclePlus]", 
                    StyleBox["g",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "=", 
              RowBox[{
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "+", 
                RowBox[{
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ","
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(\[LeftBracketingBar]++\[RightBracketingBar])",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["a",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["b",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "-", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "-", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "+", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], ")"}], "-", 
                    RowBox[{"(", 
                      RowBox[{
                        StyleBox["a",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "+", 
                        StyleBox["b",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], ")"}]}], 
                  "\[RightBracketingBar]"}], "<", 
                RowBox[{
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ","
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(max:)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["M",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                RowBox[{"max", "[", 
                  RowBox[{
                    StyleBox["m",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], "\[Implies]", 
              RowBox[{
                RowBox[{
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"]
}, Open  ]],

Cell[TextData[{
  "For proving ",
  StyleBox["(l4+)",
    FontColor->RGBColor[0, 0, 1]],
  " we take all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(1)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{
            RowBox[{"limit", "[", 
              RowBox[{
                StyleBox[\(f\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(a\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(\[Delta]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(M\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "\[And]", 
            RowBox[{"limit", "[", 
              RowBox[{
                StyleBox[\(g\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(b\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(N\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], "\[Implies]", 
          RowBox[{"limit", "[", 
            RowBox[{
              RowBox[{
                StyleBox[\(f\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[CirclePlus]", 
                StyleBox[\(g\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ",", 
              RowBox[{
                StyleBox[\(a\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(b\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ",", 
              RowBox[{
                StyleBox[\(\[Delta]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ",", 
              RowBox[{"max", "[", 
                RowBox[{
                  StyleBox[\(M\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(N\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "]"}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "We prove ",
  StyleBox["(1)",
    FontColor->RGBColor[0, 0, 1]],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(2)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(M\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}], "\[And]", 
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(N\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  " "
}], "Text"],

Cell["and show", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(3)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{"limit", "[", 
          RowBox[{
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[CirclePlus]", 
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{"max", "[", 
              RowBox[{
                StyleBox[\(M\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(N\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], "]"}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(2)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(5)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "For proving ",
  StyleBox["(3)",
    FontColor->RGBColor[0, 0, 1]],
  ", by the definition ",
  StyleBox["(l4:)",
    FontColor->RGBColor[0, 0, 1]],
  ", it suffices to prove:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(6)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                RowBox[{"max", "[", 
                  RowBox[{
                    StyleBox[\(M\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(N\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox[\(f\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[CirclePlus]", 
                          StyleBox[\(g\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}], "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{"(", 
                      RowBox[{
                        StyleBox[\(a\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "+", 
                        StyleBox[\(b\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], ")"}]}], 
                  "\[RightBracketingBar]"}], "<", 
                RowBox[{
                  StyleBox[\(\[Delta]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(l4:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(7)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox[\(M\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{
                      StyleBox[\(f\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox[\(\[Delta]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(5)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(l4:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox[\(N\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{
                      StyleBox[\(g\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(b\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "For proving ",
  StyleBox["(6)",
    FontColor->RGBColor[0, 0, 1]],
  " we take all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(9)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[GreaterEqual]", 
            RowBox[{"max", "[", 
              RowBox[{
                StyleBox[\(M\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(N\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], "\[Implies]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox[\(f\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[CirclePlus]", 
                      StyleBox[\(g\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(a\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    StyleBox[\(b\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], "\[RightBracketingBar]"}],
             "<", 
            RowBox[{
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "We prove ",
  StyleBox["(9)",
    FontColor->RGBColor[0, 0, 1]],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(10)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", 
          RowBox[{"max", "[", 
            RowBox[{
              StyleBox[\(M\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(N\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  " "
}], "Text"],

Cell["and show", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(11)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[CirclePlus]", 
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(a\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox[\(b\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "\[RightBracketingBar]"}], 
          "<", 
          RowBox[{
            StyleBox[\(\[Delta]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Using ",
  StyleBox["(\[CirclePlus]:)",
    FontColor->RGBColor[0, 0, 1]],
  ", the goal ",
  StyleBox["(11)",
    FontColor->RGBColor[0, 0, 1]],
  " is transformed into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(12)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "+", 
                  RowBox[{
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}], "-", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(a\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox[\(b\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "\[RightBracketingBar]"}], 
          "<", 
          RowBox[{
            StyleBox[\(\[Delta]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "For proving ",
  StyleBox["(12)",
    FontColor->RGBColor[0, 0, 1]],
  ", by ",
  StyleBox["(\[LeftBracketingBar]++\[RightBracketingBar])",
    FontColor->RGBColor[0, 0, 1]],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                StyleBox[\(a\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], "<", 
            StyleBox[\(\[Delta]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                StyleBox[\(b\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], "<", 
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(15)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                StyleBox[\(f\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "For proving ",
  StyleBox["(15)",
    FontColor->RGBColor[0, 0, 1]],
  ", by ",
  StyleBox["(7)",
    FontColor->RGBColor[0, 0, 1]],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(18)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", 
          StyleBox[\(M\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "From ",
  StyleBox["(10)",
    FontColor->RGBColor[0, 0, 1]],
  ", by ",
  StyleBox["(max:)",
    FontColor->RGBColor[0, 0, 1]],
  ", we obtain:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(21)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[GreaterEqual]", 
            StyleBox[\(M\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[GreaterEqual]", 
            StyleBox[\(N\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(21)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(22)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(23)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(18)",
    FontColor->RGBColor[0, 0, 1]],
  " is true because it is identical to ",
  StyleBox["(22)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(16)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                StyleBox[\(g\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "For proving ",
  StyleBox["(16)",
    FontColor->RGBColor[0, 0, 1]],
  ", by ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(25)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", 
          StyleBox[\(N\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}],
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "From ",
  StyleBox["(10)",
    FontColor->RGBColor[0, 0, 1]],
  ", by ",
  StyleBox["(max:)",
    FontColor->RGBColor[0, 0, 1]],
  ", we obtain:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(28)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[GreaterEqual]", 
            StyleBox[\(M\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[GreaterEqual]", 
            StyleBox[\(N\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(28)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(29)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(30)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(25)",
    FontColor->RGBColor[0, 0, 1]],
  " is true because it is identical to ",
  StyleBox["(30)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1600}, {0, 1200}},
CellGrouping->Manual,
WindowSize->{1035, 1021},
WindowMargins->{{Automatic, 275}, {Automatic, 0}},
Visible->True,
CellLabelAutoDelete->True,
Magnification->1.5
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 22, 0, 46, "Text"],
Cell[1764, 53, 4633, 122, 93, "Text"],

Cell[CellGroupData[{
Cell[6422, 179, 38, 0, 46, "Text"],
Cell[6463, 181, 3338, 87, 57, "Text"],
Cell[9804, 270, 2075, 60, 57, "Text"],
Cell[11882, 332, 3966, 102, 57, "Text"],
Cell[15851, 436, 2101, 60, 56, "Text"]
}, Open  ]],
Cell[17967, 499, 158, 5, 46, "Text"],
Cell[18128, 506, 3135, 86, 71, "Text"],
Cell[21266, 594, 123, 5, 46, "Text"],
Cell[21392, 601, 25, 0, 46, "Text"],
Cell[21420, 603, 1534, 46, 46, "Text"],
Cell[22957, 651, 24, 0, 46, "Text"],
Cell[22984, 653, 1605, 48, 46, "Text"],
Cell[24592, 703, 244, 11, 46, "Text"],
Cell[24839, 716, 207, 8, 46, "Text"],
Cell[25049, 726, 2742, 71, 54, "Text"],
Cell[27794, 799, 201, 8, 46, "Text"],
Cell[27998, 809, 1674, 47, 54, "Text"],
Cell[29675, 858, 201, 8, 105, "Text"],
Cell[29879, 868, 1676, 47, 105, "Text"],
Cell[31558, 917, 156, 5, 105, "Text"],
Cell[31717, 924, 2278, 63, 105, "Text"],
Cell[33998, 989, 123, 5, 105, "Text"],
Cell[34124, 996, 25, 0, 105, "Text"],
Cell[34152, 998, 707, 24, 105, "Text"],
Cell[34862, 1024, 24, 0, 105, "Text"],
Cell[34889, 1026, 1623, 47, 105, "Text"],
Cell[36515, 1075, 202, 8, 105, "Text"],
Cell[36720, 1085, 1833, 52, 105, "Text"],
Cell[38556, 1139, 232, 8, 105, "Text"],
Cell[38791, 1149, 1773, 50, 105, "Text"],

Cell[CellGroupData[{
Cell[40589, 1203, 138, 5, 105, "Text"],

Cell[CellGroupData[{
Cell[40752, 1212, 925, 29, 105, "Text"],
Cell[41680, 1243, 190, 8, 105, "Text"],
Cell[41873, 1253, 482, 18, 105, "Text"],
Cell[42358, 1273, 176, 8, 105, "Text"],
Cell[42537, 1283, 839, 28, 105, "Text"],
Cell[43379, 1313, 247, 11, 105, "Text"],
Cell[43629, 1326, 197, 8, 105, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[43863, 1339, 927, 29, 105, "Text"],
Cell[44793, 1370, 190, 8, 105, "Text"],
Cell[44986, 1380, 482, 18, 105, "Text"],
Cell[45471, 1400, 176, 8, 105, "Text"],
Cell[45650, 1410, 839, 28, 105, "Text"],
Cell[46492, 1440, 247, 11, 105, "Text"],
Cell[46742, 1453, 197, 8, 105, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

