(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     38514,       1881]*)
(*NotebookOutlinePosition[     39240,       1908]*)
(*  CellTagsIndexPosition[     39196,       1904]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(\[DoubleLongLeftArrow])",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]\((B\[CircleMinus]C)\) \[Implies] \((A\
\[CircleMinus]B)\)\[CircleMinus]C\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ","
}], "Text"],

Cell[CellGroupData[{

Cell["under the assumption:", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[CircleMinus]", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ":=", 
              RowBox[{
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{"\[Not]", 
                      RowBox[{"(", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ")"}]}], ")"}]}], "\[Or]", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"\[Not]", 
                      RowBox[{"(", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ")"}]}], ")"}], "\[And]", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"]
}, Open  ]],

Cell[TextData[{
  "We prove ",
  StyleBox["(\[DoubleLongLeftArrow])",
    FontColor->RGBColor[0, 0, 1]],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(1)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]\((B\[CircleMinus]C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  " "
}], "Text"],

Cell["and show", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(2)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((A\[CircleMinus]B)\)\[CircleMinus]C\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "For proving ",
  StyleBox["(2)",
    FontColor->RGBColor[0, 0, 1]],
  ", by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  ", it suffices to prove:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(3)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]B \[And] \((\[Not] C)\) \[Or] \((\[Not] \((A\
\[CircleMinus]B)\))\) \[And] C\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(1)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] \((B\[CircleMinus]C)\))\) \[Or] \((\[Not] \
A)\) \[And] B\[CircleMinus]C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "We prove ",
  StyleBox["(3)",
    FontColor->RGBColor[0, 0, 1]],
  " by proving the first alternative negating the other(s)."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(6)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\((\[Not] \((A\[CircleMinus]B)\))\) \[And] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell["We now show", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(5)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]B \[And] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(6)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(7)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((\[Not] \((A\[CircleMinus]B)\))\))\) \[Or] \((\
\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(5)",
    FontColor->RGBColor[0, 0, 1]],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]B\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "For proving ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  ", by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  ", it suffices to prove:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(10)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] B)\) \[Or] \((\[Not] A)\) \[And] B\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "We prove ",
  StyleBox["(10)",
    FontColor->RGBColor[0, 0, 1]],
  " by proving the first alternative negating the other(s)."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(12)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\((\[Not] A)\) \[And] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell["We now show", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(11)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] B)\)\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(12)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(13)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((\[Not] A)\))\) \[Or] \((\[Not] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(11)",
    FontColor->RGBColor[0, 0, 1]],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox["A",
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(13)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(16)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\[Not] A)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(16)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(18)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox["A",
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " is true because it is identical to ",
  StyleBox["(18)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(17)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(7)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(19)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\[Not] \((A\[CircleMinus]B)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(19)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(21)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(21)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(22)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] B)\) \[Or] \((\[Not] A)\) \[And] B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(22)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(23)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(23)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(25)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(26)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " is true because it is identical to ",
  StyleBox["(25)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(24)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] A)\) \[And] B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(24)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(27)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(28)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(17)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(28)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(20)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(29)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] \((B\[CircleMinus]C)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(29)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(31)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(32)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " is true because it is identical to ",
  StyleBox["(31)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(30)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] A)\) \[And] B\[CircleMinus]C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(30)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(33)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(34)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(34)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(35)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(B \[And] \((\[Not] C)\) \[Or] \((\[Not] B)\) \[And] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(35)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(36)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(B \[And] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(36)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(38)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(39)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(17)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(38)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(37)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] B)\) \[And] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(37)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(40)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(41)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(20)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(41)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(15)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] B\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "We prove ",
  StyleBox["(15)",
    FontColor->RGBColor[0, 0, 1]],
  " by contradiction."
}], "Text"],

Cell["We assume ", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(42)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox["B",
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ","
}], "Text"],

Cell[TextData[{
  "and show ",
  Cell[BoxData[
      StyleBox["\<\"a contradiction.\"\>",
        FontColor->RGBColor[1, 0, 0]]], "Text"]
}], "Text"],

Cell[TextData[{
  "From ",
  StyleBox["(42)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(13)",
    FontColor->RGBColor[0, 0, 1]],
  " we obtain by resolution"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(43)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\[Not] A)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(43)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(44)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox["A",
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(7)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(45)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\[Not] \((A\[CircleMinus]B)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(45)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(47)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(47)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(48)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] B)\) \[Or] \((\[Not] A)\) \[And] B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(48)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(49)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(49)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(51)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(52)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(42)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(52)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(50)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] A)\) \[And] B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(50)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(53)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(54)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(44)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(53)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(46)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(55)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] \((B\[CircleMinus]C)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(55)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(57)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(58)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "We delete ",
  StyleBox["(57)",
    FontColor->RGBColor[0, 0, 1]],
  " because it is identical to ",
  StyleBox["(44)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(58)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(59)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((B \[And] \((\[Not] C)\) \[Or] \((\[Not] B)\) \
\[And] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(59)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(60)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((B \[And] \((\[Not] C)\))\))\) \[And] \((\[Not] \
\((\((\[Not] B)\) \[And] C)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(60)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(61)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(62)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(61)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(63)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] B)\) \[Or] \((\[Not] \((\[Not] C)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(62)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(64)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((\[Not] B)\))\) \[Or] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "We delete ",
  StyleBox["(64)",
    FontColor->RGBColor[0, 0, 1]],
  " because it is subsumed by ",
  StyleBox["(46)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "From ",
  StyleBox["(42)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(63)",
    FontColor->RGBColor[0, 0, 1]],
  " we obtain by resolution"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(65)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(46)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(65)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(56)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] A)\) \[And] B\[CircleMinus]C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(56)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(66)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(67)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(44)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(66)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(9)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] C\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "We prove ",
  StyleBox["(9)",
    FontColor->RGBColor[0, 0, 1]],
  " by contradiction."
}], "Text"],

Cell["We assume ", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(68)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox["C",
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ","
}], "Text"],

Cell[TextData[{
  "and show ",
  Cell[BoxData[
      StyleBox["\<\"a contradiction.\"\>",
        FontColor->RGBColor[1, 0, 0]]], "Text"]
}], "Text"],

Cell[TextData[{
  "From ",
  StyleBox["(68)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(7)",
    FontColor->RGBColor[0, 0, 1]],
  " we obtain by resolution"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(69)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\[Not] \((A\[CircleMinus]B)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(69)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(70)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(70)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(71)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] B)\) \[Or] \((\[Not] A)\) \[And] B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(71)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(72)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(72)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(74)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(75)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(76)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] \((B\[CircleMinus]C)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(76)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(78)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(79)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "We delete ",
  StyleBox["(78)",
    FontColor->RGBColor[0, 0, 1]],
  " because it is identical to ",
  StyleBox["(74)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(79)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(80)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((B \[And] \((\[Not] C)\) \[Or] \((\[Not] B)\) \
\[And] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(80)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(81)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((B \[And] \((\[Not] C)\))\))\) \[And] \((\[Not] \
\((\((\[Not] B)\) \[And] C)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(81)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(82)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(83)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(82)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(84)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] B)\) \[Or] \((\[Not] \((\[Not] C)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "We delete ",
  StyleBox["(84)",
    FontColor->RGBColor[0, 0, 1]],
  " because it is subsumed by ",
  StyleBox["(75)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(83)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(85)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((\[Not] B)\))\) \[Or] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "From ",
  StyleBox["(68)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(85)",
    FontColor->RGBColor[0, 0, 1]],
  " we obtain by resolution"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(86)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\[Not] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(75)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(86)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(77)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] A)\) \[And] B\[CircleMinus]C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(77)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(87)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(88)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(74)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(87)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(73)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] A)\) \[And] B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(73)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(89)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(90)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(91)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] \((B\[CircleMinus]C)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(91)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(93)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(94)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(89)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(93)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(92)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] A)\) \[And] B\[CircleMinus]C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(92)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(95)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(96)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "We delete ",
  StyleBox["(95)",
    FontColor->RGBColor[0, 0, 1]],
  " because it is identical to ",
  StyleBox["(89)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(96)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(97)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(B \[And] \((\[Not] C)\) \[Or] \((\[Not] B)\) \[And] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(97)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(98)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(B \[And] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(98)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(100)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(101)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(68)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(101)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(99)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] B)\) \[And] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(99)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(102)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(103)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(90)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(102)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1600}, {0, 1200}},
CellGrouping->Manual,
WindowSize->{987, 902},
WindowMargins->{{139, Automatic}, {Automatic, 100}},
Visible->True,
CellLabelAutoDelete->True,
Magnification->1.5
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 22, 0, 46, "Text"],
Cell[1764, 53, 304, 10, 46, "Text"],

Cell[CellGroupData[{
Cell[2093, 67, 37, 0, 46, "Text"],
Cell[2133, 69, 1979, 56, 57, "Text"]
}, Open  ]],
Cell[4127, 128, 144, 5, 46, "Text"],
Cell[4274, 135, 25, 0, 46, "Text"],
Cell[4302, 137, 232, 9, 46, "Text"],
Cell[4537, 148, 24, 0, 46, "Text"],
Cell[4564, 150, 232, 9, 46, "Text"],
Cell[4799, 161, 219, 8, 46, "Text"],
Cell[5021, 171, 286, 10, 46, "Text"],
Cell[5310, 183, 213, 8, 46, "Text"],
Cell[5526, 193, 286, 10, 46, "Text"],
Cell[5815, 205, 156, 5, 46, "Text"],
Cell[5974, 212, 25, 0, 46, "Text"],
Cell[6002, 214, 252, 9, 46, "Text"],
Cell[6257, 225, 27, 0, 46, "Text"],
Cell[6287, 227, 233, 9, 46, "Text"],
Cell[6523, 238, 116, 5, 46, "Text"],
Cell[6642, 245, 266, 10, 105, "Text"],

Cell[CellGroupData[{
Cell[6933, 259, 137, 5, 105, "Text"],

Cell[CellGroupData[{
Cell[7095, 268, 210, 9, 105, "Text"],
Cell[7308, 279, 219, 8, 105, "Text"],
Cell[7530, 289, 249, 9, 105, "Text"],
Cell[7782, 300, 157, 5, 105, "Text"],
Cell[7942, 307, 25, 0, 105, "Text"],
Cell[7970, 309, 232, 9, 105, "Text"],
Cell[8205, 320, 27, 0, 105, "Text"],
Cell[8235, 322, 219, 9, 105, "Text"],
Cell[8457, 333, 117, 5, 105, "Text"],
Cell[8577, 340, 244, 9, 105, "Text"],

Cell[CellGroupData[{
Cell[8846, 353, 138, 5, 105, "Text"],

Cell[CellGroupData[{
Cell[9009, 362, 194, 9, 105, "Text"],

Cell[CellGroupData[{
Cell[9228, 375, 189, 8, 105, "Text"],

Cell[CellGroupData[{
Cell[9442, 387, 213, 9, 105, "Text"],
Cell[9658, 398, 117, 5, 105, "Text"],
Cell[9778, 405, 195, 9, 105, "Text"],
Cell[9976, 416, 197, 8, 105, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10210, 429, 200, 9, 105, "Text"],

Cell[CellGroupData[{
Cell[10435, 442, 188, 8, 105, "Text"],

Cell[CellGroupData[{
Cell[10648, 454, 234, 9, 105, "Text"],
Cell[10885, 465, 117, 5, 105, "Text"],
Cell[11005, 472, 212, 9, 105, "Text"],
Cell[11220, 483, 214, 8, 105, "Text"],
Cell[11437, 493, 249, 9, 105, "Text"],

Cell[CellGroupData[{
Cell[11711, 506, 189, 8, 105, "Text"],

Cell[CellGroupData[{
Cell[11925, 518, 215, 9, 105, "Text"],
Cell[12143, 529, 247, 11, 105, "Text"],
Cell[12393, 542, 197, 8, 105, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12627, 555, 215, 9, 105, "Text"],
Cell[12845, 566, 247, 11, 105, "Text"],
Cell[13095, 579, 263, 11, 105, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[13419, 597, 200, 9, 105, "Text"],

Cell[CellGroupData[{
Cell[13644, 610, 188, 8, 105, "Text"],

Cell[CellGroupData[{
Cell[13857, 622, 236, 9, 105, "Text"],
Cell[14096, 633, 247, 11, 105, "Text"],
Cell[14346, 646, 197, 8, 105, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14580, 659, 230, 9, 105, "Text"],
Cell[14813, 670, 247, 11, 105, "Text"],
Cell[15063, 683, 214, 8, 105, "Text"],
Cell[15280, 693, 249, 9, 105, "Text"],

Cell[CellGroupData[{
Cell[15554, 706, 189, 8, 105, "Text"],

Cell[CellGroupData[{
Cell[15768, 718, 215, 9, 105, "Text"],
Cell[15986, 729, 247, 11, 105, "Text"],
Cell[16236, 742, 263, 11, 105, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16536, 758, 215, 9, 105, "Text"],
Cell[16754, 769, 247, 11, 105, "Text"],
Cell[17004, 782, 263, 11, 105, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[17400, 806, 203, 9, 105, "Text"],
Cell[17606, 817, 119, 5, 105, "Text"],
Cell[17728, 824, 26, 0, 105, "Text"],
Cell[17757, 826, 195, 9, 105, "Text"],
Cell[17955, 837, 149, 5, 105, "Text"],
Cell[18107, 844, 186, 8, 105, "Text"],
Cell[18296, 854, 217, 9, 105, "Text"],
Cell[18516, 865, 117, 5, 105, "Text"],
Cell[18636, 872, 195, 9, 105, "Text"],

Cell[CellGroupData[{
Cell[18856, 885, 201, 8, 105, "Text"],

Cell[CellGroupData[{
Cell[19082, 897, 234, 9, 105, "Text"],
Cell[19319, 908, 117, 5, 105, "Text"],
Cell[19439, 915, 212, 9, 105, "Text"],
Cell[19654, 926, 214, 8, 105, "Text"],
Cell[19871, 936, 249, 9, 105, "Text"],

Cell[CellGroupData[{
Cell[20145, 949, 202, 8, 105, "Text"],

Cell[CellGroupData[{
Cell[20372, 961, 215, 9, 105, "Text"],
Cell[20590, 972, 247, 11, 105, "Text"],
Cell[20840, 985, 276, 11, 105, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21153, 1001, 215, 9, 105, "Text"],
Cell[21371, 1012, 247, 11, 105, "Text"],
Cell[21621, 1025, 276, 11, 105, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[21958, 1043, 200, 9, 105, "Text"],

Cell[CellGroupData[{
Cell[22183, 1056, 201, 8, 105, "Text"],

Cell[CellGroupData[{
Cell[22409, 1068, 236, 9, 105, "Text"],
Cell[22648, 1079, 247, 11, 105, "Text"],
Cell[22898, 1092, 191, 8, 105, "Text"],
Cell[23092, 1102, 214, 8, 105, "Text"],
Cell[23309, 1112, 264, 10, 105, "Text"],
Cell[23576, 1124, 117, 5, 105, "Text"],
Cell[23696, 1131, 290, 10, 105, "Text"],
Cell[23989, 1143, 247, 11, 105, "Text"],
Cell[24239, 1156, 117, 5, 105, "Text"],
Cell[24359, 1163, 244, 9, 105, "Text"],
Cell[24606, 1174, 117, 5, 105, "Text"],
Cell[24726, 1181, 244, 9, 105, "Text"],
Cell[24973, 1192, 190, 8, 105, "Text"],
Cell[25166, 1202, 186, 8, 105, "Text"],
Cell[25355, 1212, 217, 9, 105, "Text"],
Cell[25575, 1223, 276, 11, 105, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[25888, 1239, 230, 9, 105, "Text"],
Cell[26121, 1250, 247, 11, 105, "Text"],
Cell[26371, 1263, 276, 11, 105, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[26756, 1285, 202, 9, 105, "Text"],
Cell[26961, 1296, 118, 5, 105, "Text"],
Cell[27082, 1303, 26, 0, 105, "Text"],
Cell[27111, 1305, 195, 9, 105, "Text"],
Cell[27309, 1316, 149, 5, 105, "Text"],
Cell[27461, 1323, 185, 8, 105, "Text"],
Cell[27649, 1333, 238, 9, 105, "Text"],
Cell[27890, 1344, 117, 5, 105, "Text"],
Cell[28010, 1351, 212, 9, 105, "Text"],
Cell[28225, 1362, 214, 8, 105, "Text"],
Cell[28442, 1372, 249, 9, 105, "Text"],

Cell[CellGroupData[{
Cell[28716, 1385, 202, 8, 105, "Text"],

Cell[CellGroupData[{
Cell[28943, 1397, 215, 9, 105, "Text"],
Cell[29161, 1408, 247, 11, 105, "Text"],

Cell[CellGroupData[{
Cell[29433, 1423, 201, 8, 105, "Text"],

Cell[CellGroupData[{
Cell[29659, 1435, 236, 9, 105, "Text"],
Cell[29898, 1446, 247, 11, 105, "Text"],
Cell[30148, 1459, 191, 8, 105, "Text"],
Cell[30342, 1469, 214, 8, 105, "Text"],
Cell[30559, 1479, 264, 10, 105, "Text"],
Cell[30826, 1491, 117, 5, 105, "Text"],
Cell[30946, 1498, 290, 10, 105, "Text"],
Cell[31239, 1510, 247, 11, 105, "Text"],
Cell[31489, 1523, 117, 5, 105, "Text"],
Cell[31609, 1530, 244, 9, 105, "Text"],
Cell[31856, 1541, 190, 8, 105, "Text"],
Cell[32049, 1551, 117, 5, 105, "Text"],
Cell[32169, 1558, 244, 9, 105, "Text"],
Cell[32416, 1569, 186, 8, 105, "Text"],
Cell[32605, 1579, 217, 9, 105, "Text"],
Cell[32825, 1590, 276, 11, 105, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[33138, 1606, 230, 9, 105, "Text"],
Cell[33371, 1617, 247, 11, 105, "Text"],
Cell[33621, 1630, 276, 11, 105, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[33958, 1648, 215, 9, 105, "Text"],
Cell[34176, 1659, 247, 11, 105, "Text"],

Cell[CellGroupData[{
Cell[34448, 1674, 201, 8, 105, "Text"],

Cell[CellGroupData[{
Cell[34674, 1686, 236, 9, 105, "Text"],
Cell[34913, 1697, 247, 11, 105, "Text"],
Cell[35163, 1710, 276, 11, 105, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[35476, 1726, 230, 9, 105, "Text"],
Cell[35709, 1737, 247, 11, 105, "Text"],
Cell[35959, 1750, 191, 8, 105, "Text"],
Cell[36153, 1760, 214, 8, 105, "Text"],
Cell[36370, 1770, 249, 9, 105, "Text"],

Cell[CellGroupData[{
Cell[36644, 1783, 202, 8, 105, "Text"],

Cell[CellGroupData[{
Cell[36871, 1795, 215, 9, 105, "Text"],
Cell[37089, 1806, 249, 11, 105, "Text"],
Cell[37341, 1819, 277, 11, 105, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[37655, 1835, 215, 9, 105, "Text"],
Cell[37873, 1846, 249, 11, 105, "Text"],
Cell[38125, 1859, 277, 11, 105, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

