(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     32773,       1586]*)
(*NotebookOutlinePosition[     33499,       1613]*)
(*  CellTagsIndexPosition[     33455,       1609]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(\[DoubleLongRightArrow])",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((A\[CircleMinus]B)\)\[CircleMinus]C \[Implies] 
          A\[CircleMinus]\((B\[CircleMinus]C)\)\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ","
}], "Text"],

Cell[CellGroupData[{

Cell["under the assumption:", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[CircleMinus]", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ":=", 
              RowBox[{
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{"\[Not]", 
                      RowBox[{"(", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ")"}]}], ")"}]}], "\[Or]", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"\[Not]", 
                      RowBox[{"(", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ")"}]}], ")"}], "\[And]", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], ")"}]}],
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"]
}, Open  ]],

Cell[TextData[{
  "We prove ",
  StyleBox["(\[DoubleLongRightArrow])",
    FontColor->RGBColor[0, 0, 1]],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(1)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((A\[CircleMinus]B)\)\[CircleMinus]C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  " "
}], "Text"],

Cell["and show", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(2)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]\((B\[CircleMinus]C)\)\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "For proving ",
  StyleBox["(2)",
    FontColor->RGBColor[0, 0, 1]],
  ", by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  ", it suffices to prove:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(3)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] \((B\[CircleMinus]C)\))\) \[Or] \((\[Not] \
A)\) \[And] B\[CircleMinus]C\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(1)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]B \[And] \((\[Not] C)\) \[Or] \((\[Not] \((A\
\[CircleMinus]B)\))\) \[And] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "We prove ",
  StyleBox["(3)",
    FontColor->RGBColor[0, 0, 1]],
  " by proving the first alternative negating the other(s)."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(6)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\((\[Not] A)\) \[And] B\[CircleMinus]C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell["We now show", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(5)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] \((B\[CircleMinus]C)\))\)\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(6)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(7)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((\[Not] A)\))\) \[Or] \((\[Not] \((B\
\[CircleMinus]C)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(5)",
    FontColor->RGBColor[0, 0, 1]],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox["A",
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(7)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(10)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\[Not] A)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(10)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(12)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox["A",
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " is true because it is identical to ",
  StyleBox["(12)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(11)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((B\[CircleMinus]C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(11)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(13)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((B \[And] \((\[Not] C)\) \[Or] \((\[Not] B)\) \
\[And] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(13)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((B \[And] \((\[Not] C)\))\))\) \[And] \((\[Not] \
\((\((\[Not] B)\) \[And] C)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(14)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(15)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(16)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(15)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(17)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] B)\) \[Or] \((\[Not] \((\[Not] C)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(16)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(18)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((\[Not] B)\))\) \[Or] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(17)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(19)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "From ",
  StyleBox["(19)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(18)",
    FontColor->RGBColor[0, 0, 1]],
  " we obtain by resolution"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(21)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(22)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]B \[And] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(22)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(24)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(25)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "We delete ",
  StyleBox["(25)",
    FontColor->RGBColor[0, 0, 1]],
  " because it is identical to ",
  StyleBox["(21)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(24)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(26)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] B)\) \[Or] \((\[Not] A)\) \[And] B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(26)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(27)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(27)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(29)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(30)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " is true because it is identical to ",
  StyleBox["(29)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(28)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] A)\) \[And] B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(28)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(31)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(32)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(19)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(32)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(23)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((A\[CircleMinus]B)\))\) \[And] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(23)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(33)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(34)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(21)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(34)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(20)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(20)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(35)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox["C",
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "From ",
  StyleBox["(35)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(18)",
    FontColor->RGBColor[0, 0, 1]],
  " we obtain by resolution"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(36)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\[Not] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(36)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(37)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox["B",
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(38)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]B \[And] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(38)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(40)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(41)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(35)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(41)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(39)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((A\[CircleMinus]B)\))\) \[And] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(39)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(42)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(43)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "We delete ",
  StyleBox["(43)",
    FontColor->RGBColor[0, 0, 1]],
  " because it is identical to ",
  StyleBox["(35)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(42)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(44)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((A \[And] \((\[Not] B)\) \[Or] \((\[Not] A)\) \
\[And] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(44)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(45)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((A \[And] \((\[Not] B)\))\))\) \[And] \((\[Not] \
\((\((\[Not] A)\) \[And] B)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(45)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(46)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(47)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(46)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(48)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] A)\) \[Or] \((\[Not] \((\[Not] B)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(47)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(49)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((\[Not] A)\))\) \[Or] \((\[Not] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "From ",
  StyleBox["(37)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(49)",
    FontColor->RGBColor[0, 0, 1]],
  " we obtain by resolution"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(50)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\[Not] A)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(50)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(51)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox["A",
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(8)",
    FontColor->RGBColor[0, 0, 1]],
  " is true because it is identical to ",
  StyleBox["(51)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(9)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((B\[CircleMinus]C)\)\),
        FontColor->RGBColor[1, 0, 0]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "We prove ",
  StyleBox["(9)",
    FontColor->RGBColor[0, 0, 1]],
  " by contradiction."
}], "Text"],

Cell["We assume ", "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(52)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(B\[CircleMinus]C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ","
}], "Text"],

Cell[TextData[{
  "and show ",
  Cell[BoxData[
      StyleBox["\<\"a contradiction.\"\>",
        FontColor->RGBColor[1, 0, 0]]], "Text"]
}], "Text"],

Cell[TextData[{
  "From ",
  StyleBox["(52)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(7)",
    FontColor->RGBColor[0, 0, 1]],
  " we obtain by resolution"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(53)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((\[Not] A)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(53)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(54)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox["A",
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(52)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(55)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(B \[And] \((\[Not] C)\) \[Or] \((\[Not] B)\) \[And] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(55)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(56)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(B \[And] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(56)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(58)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(59)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(60)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]B \[And] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(60)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(62)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(63)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "We delete ",
  StyleBox["(63)",
    FontColor->RGBColor[0, 0, 1]],
  " because it is identical to ",
  StyleBox["(59)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(62)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(64)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] B)\) \[Or] \((\[Not] A)\) \[And] B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(64)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(65)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A \[And] \((\[Not] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(65)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(67)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(68)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(58)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(68)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(66)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] A)\) \[And] B\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(66)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(69)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(70)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(54)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(69)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(61)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((A\[CircleMinus]B)\))\) \[And] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(61)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(71)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(72)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(59)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(72)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(57)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] B)\) \[And] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(57)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(73)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(74)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " by case distinction using ",
  StyleBox["(4)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(75)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(A\[CircleMinus]B \[And] \((\[Not] C)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(75)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(77)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(78)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(74)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(78)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Case  ",
  StyleBox["(76)",
    FontColor->RGBColor[0, 0, 1]],
  " ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((A\[CircleMinus]B)\))\) \[And] C\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  ":"
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(76)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(79)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(80)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "We delete ",
  StyleBox["(80)",
    FontColor->RGBColor[0, 0, 1]],
  " because it is identical to ",
  StyleBox["(74)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "The formula ",
  StyleBox["(79)",
    FontColor->RGBColor[0, 0, 1]],
  " is expanded by the definition ",
  StyleBox["(\[CircleMinus]:)",
    FontColor->RGBColor[0, 0, 1]],
  " into:"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(81)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] \((A \[And] \((\[Not] B)\) \[Or] \((\[Not] A)\) \
\[And] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(81)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(82)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((A \[And] \((\[Not] B)\))\))\) \[And] \((\[Not] \
\((\((\[Not] A)\) \[And] B)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "The conjunction ",
  StyleBox["(82)",
    FontColor->RGBColor[0, 0, 1]],
  " splits into ",
  StyleBox["(83)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(84)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(83)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(85)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] A)\) \[Or] \((\[Not] \((\[Not] B)\))\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(84)",
    FontColor->RGBColor[0, 0, 1]],
  " is simplified to"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(86)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\((\[Not] \((\[Not] A)\))\) \[Or] \((\[Not] B)\)\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "We delete ",
  StyleBox["(86)",
    FontColor->RGBColor[0, 0, 1]],
  " because it is subsumed by ",
  StyleBox["(73)",
    FontColor->RGBColor[0, 0, 1]],
  "."
}], "Text"],

Cell[TextData[{
  "From ",
  StyleBox["(73)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(85)",
    FontColor->RGBColor[0, 0, 1]],
  " we obtain by resolution"
}], "Text"],

Cell[TextData[{
  "        ",
  StyleBox["(87)",
    FontColor->RGBColor[0, 0, 1]],
  "   ",
  Cell[BoxData[
      StyleBox[\(\[Not] A\),
        FontColor->RGBColor[1, 0, 1]]], "Text"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  StyleBox["(a contradiction)",
    FontColor->RGBColor[0, 0, 1]],
  " is proved because ",
  StyleBox["(54)",
    FontColor->RGBColor[0, 0, 1]],
  " and ",
  StyleBox["(87)",
    FontColor->RGBColor[0, 0, 1]],
  " are contradictory."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1600}, {0, 1200}},
CellGrouping->Manual,
WindowSize->{912, 839},
WindowMargins->{{100, Automatic}, {Automatic, 140}},
Visible->True,
CellLabelAutoDelete->True,
Magnification->1.5
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 22, 0, 46, "Text"],
Cell[1764, 53, 314, 10, 46, "Text"],

Cell[CellGroupData[{
Cell[2103, 67, 37, 0, 46, "Text"],
Cell[2143, 69, 1979, 56, 57, "Text"]
}, Open  ]],
Cell[4137, 128, 145, 5, 46, "Text"],
Cell[4285, 135, 25, 0, 46, "Text"],
Cell[4313, 137, 232, 9, 46, "Text"],
Cell[4548, 148, 24, 0, 46, "Text"],
Cell[4575, 150, 232, 9, 46, "Text"],
Cell[4810, 161, 219, 8, 46, "Text"],
Cell[5032, 171, 286, 10, 46, "Text"],
Cell[5321, 183, 213, 8, 46, "Text"],
Cell[5537, 193, 286, 10, 46, "Text"],
Cell[5826, 205, 156, 5, 46, "Text"],
Cell[5985, 212, 25, 0, 46, "Text"],
Cell[6013, 214, 246, 9, 46, "Text"],
Cell[6262, 225, 27, 0, 46, "Text"],
Cell[6292, 227, 239, 9, 46, "Text"],
Cell[6534, 238, 116, 5, 46, "Text"],
Cell[6653, 245, 266, 10, 46, "Text"],

Cell[CellGroupData[{
Cell[6944, 259, 137, 5, 46, "Text"],

Cell[CellGroupData[{
Cell[7106, 268, 193, 9, 46, "Text"],

Cell[CellGroupData[{
Cell[7324, 281, 187, 8, 46, "Text"],

Cell[CellGroupData[{
Cell[7536, 293, 213, 9, 46, "Text"],
Cell[7752, 304, 117, 5, 46, "Text"],
Cell[7872, 311, 195, 9, 46, "Text"],
Cell[8070, 322, 196, 8, 46, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8303, 335, 221, 9, 46, "Text"],
Cell[8527, 346, 214, 8, 46, "Text"],
Cell[8744, 356, 264, 10, 46, "Text"],
Cell[9011, 368, 117, 5, 46, "Text"],
Cell[9131, 375, 290, 10, 46, "Text"],
Cell[9424, 387, 247, 11, 46, "Text"],
Cell[9674, 400, 117, 5, 46, "Text"],
Cell[9794, 407, 244, 9, 46, "Text"],
Cell[10041, 418, 117, 5, 46, "Text"],
Cell[10161, 425, 244, 9, 46, "Text"],

Cell[CellGroupData[{
Cell[10430, 438, 188, 8, 46, "Text"],

Cell[CellGroupData[{
Cell[10643, 450, 200, 9, 46, "Text"],
Cell[10846, 461, 186, 8, 46, "Text"],
Cell[11035, 471, 204, 9, 46, "Text"],

Cell[CellGroupData[{
Cell[11264, 484, 187, 8, 46, "Text"],

Cell[CellGroupData[{
Cell[11476, 496, 230, 9, 46, "Text"],
Cell[11709, 507, 247, 11, 46, "Text"],
Cell[11959, 520, 191, 8, 46, "Text"],
Cell[12153, 530, 214, 8, 46, "Text"],
Cell[12370, 540, 249, 9, 46, "Text"],

Cell[CellGroupData[{
Cell[12644, 553, 188, 8, 46, "Text"],

Cell[CellGroupData[{
Cell[12857, 565, 215, 9, 46, "Text"],
Cell[13075, 576, 247, 11, 46, "Text"],
Cell[13325, 589, 196, 8, 46, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13558, 602, 215, 9, 46, "Text"],
Cell[13776, 613, 247, 11, 46, "Text"],
Cell[14026, 626, 262, 11, 46, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[14349, 644, 236, 9, 46, "Text"],
Cell[14588, 655, 247, 11, 46, "Text"],
Cell[14838, 668, 262, 11, 46, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[15161, 686, 213, 9, 46, "Text"],
Cell[15377, 697, 117, 5, 46, "Text"],
Cell[15497, 704, 195, 9, 46, "Text"],
Cell[15695, 715, 186, 8, 46, "Text"],
Cell[15884, 725, 217, 9, 46, "Text"],
Cell[16104, 736, 117, 5, 46, "Text"],
Cell[16224, 743, 195, 9, 46, "Text"],

Cell[CellGroupData[{
Cell[16444, 756, 187, 8, 46, "Text"],

Cell[CellGroupData[{
Cell[16656, 768, 230, 9, 46, "Text"],
Cell[16889, 779, 247, 11, 46, "Text"],
Cell[17139, 792, 262, 11, 46, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17438, 808, 236, 9, 46, "Text"],
Cell[17677, 819, 247, 11, 46, "Text"],
Cell[17927, 832, 191, 8, 46, "Text"],
Cell[18121, 842, 214, 8, 46, "Text"],
Cell[18338, 852, 264, 10, 46, "Text"],
Cell[18605, 864, 117, 5, 46, "Text"],
Cell[18725, 871, 290, 10, 46, "Text"],
Cell[19018, 883, 247, 11, 46, "Text"],
Cell[19268, 896, 117, 5, 46, "Text"],
Cell[19388, 903, 244, 9, 46, "Text"],
Cell[19635, 914, 117, 5, 46, "Text"],
Cell[19755, 921, 244, 9, 46, "Text"],
Cell[20002, 932, 186, 8, 46, "Text"],
Cell[20191, 942, 217, 9, 46, "Text"],
Cell[20411, 953, 117, 5, 46, "Text"],
Cell[20531, 960, 195, 9, 46, "Text"],
Cell[20729, 971, 196, 8, 46, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[21034, 990, 223, 9, 46, "Text"],
Cell[21260, 1001, 118, 5, 46, "Text"],
Cell[21381, 1008, 26, 0, 46, "Text"],
Cell[21410, 1010, 212, 9, 46, "Text"],
Cell[21625, 1021, 149, 5, 46, "Text"],
Cell[21777, 1028, 185, 8, 46, "Text"],
Cell[21965, 1038, 217, 9, 46, "Text"],
Cell[22185, 1049, 117, 5, 46, "Text"],
Cell[22305, 1056, 195, 9, 46, "Text"],
Cell[22503, 1067, 214, 8, 46, "Text"],
Cell[22720, 1077, 249, 9, 46, "Text"],

Cell[CellGroupData[{
Cell[22994, 1090, 202, 8, 46, "Text"],

Cell[CellGroupData[{
Cell[23221, 1102, 215, 9, 46, "Text"],
Cell[23439, 1113, 247, 11, 46, "Text"],

Cell[CellGroupData[{
Cell[23711, 1128, 201, 8, 46, "Text"],

Cell[CellGroupData[{
Cell[23937, 1140, 230, 9, 46, "Text"],
Cell[24170, 1151, 247, 11, 46, "Text"],
Cell[24420, 1164, 191, 8, 46, "Text"],
Cell[24614, 1174, 214, 8, 46, "Text"],
Cell[24831, 1184, 249, 9, 46, "Text"],

Cell[CellGroupData[{
Cell[25105, 1197, 202, 8, 46, "Text"],

Cell[CellGroupData[{
Cell[25332, 1209, 215, 9, 46, "Text"],
Cell[25550, 1220, 247, 11, 46, "Text"],
Cell[25800, 1233, 276, 11, 46, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26113, 1249, 215, 9, 46, "Text"],
Cell[26331, 1260, 247, 11, 46, "Text"],
Cell[26581, 1273, 276, 11, 46, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[26918, 1291, 236, 9, 46, "Text"],
Cell[27157, 1302, 247, 11, 46, "Text"],
Cell[27407, 1315, 276, 11, 46, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[27744, 1333, 215, 9, 46, "Text"],
Cell[27962, 1344, 247, 11, 46, "Text"],

Cell[CellGroupData[{
Cell[28234, 1359, 201, 8, 46, "Text"],

Cell[CellGroupData[{
Cell[28460, 1371, 230, 9, 46, "Text"],
Cell[28693, 1382, 247, 11, 46, "Text"],
Cell[28943, 1395, 276, 11, 46, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29256, 1411, 236, 9, 46, "Text"],
Cell[29495, 1422, 247, 11, 46, "Text"],
Cell[29745, 1435, 191, 8, 46, "Text"],
Cell[29939, 1445, 214, 8, 46, "Text"],
Cell[30156, 1455, 264, 10, 46, "Text"],
Cell[30423, 1467, 117, 5, 46, "Text"],
Cell[30543, 1474, 290, 10, 46, "Text"],
Cell[30836, 1486, 247, 11, 46, "Text"],
Cell[31086, 1499, 117, 5, 46, "Text"],
Cell[31206, 1506, 244, 9, 46, "Text"],
Cell[31453, 1517, 117, 5, 46, "Text"],
Cell[31573, 1524, 244, 9, 46, "Text"],
Cell[31820, 1535, 190, 8, 46, "Text"],
Cell[32013, 1545, 186, 8, 46, "Text"],
Cell[32202, 1555, 204, 9, 46, "Text"],
Cell[32409, 1566, 276, 11, 46, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

